Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 227303 - app-emulation/vmware-modules 1.0.0.15-r1 fail to build under 2.6.26+ (and RC) kernels
Summary: app-emulation/vmware-modules 1.0.0.15-r1 fail to build under 2.6.26+ (and RC)...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High major with 2 votes (vote)
Assignee: Gentoo VMWare Bug Squashers [disabled]
URL:
Whiteboard:
Keywords:
: 231752 231985 232113 232148 232275 243846 248447 250637 (view as bug list)
Depends on:
Blocks: 232070 242256
  Show dependency tree
 
Reported: 2008-06-15 19:49 UTC by Pawel Madej aka Nysander
Modified: 2010-04-06 09:29 UTC (History)
69 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
my kernel config and emerge --info (attachment.txt,50.48 KB, text/plain)
2008-06-24 04:28 UTC, Leif Walsh
Details
patches for vmware-modules-1.0.0.20 (2.6.26) (vmware-modules-1.0.0.20-patches.tar.gz,63.48 KB, patch)
2008-07-22 02:57 UTC, Andreas Proteus
Details | Diff
patches for vmware-modules-1.0.0.20 (2.6.26) (vmware-modules-1.0.0.20-patches.tar.gz,63.48 KB, application/octet-stream)
2008-07-22 03:11 UTC, Andreas Proteus
Details
Kernel config for info (config.gz,13.78 KB, text/plain)
2008-08-03 17:15 UTC, Cyrius
Details
patch instructions (vmware-modules-instructions.txt,1.16 KB, text/plain)
2008-08-05 15:17 UTC, Andreas Proteus
Details
ebuild and patches (vmware-module.tar.bz2,7.74 KB, text/plain)
2008-08-07 20:44 UTC, Cyrius
Details
vmblock patch to correct the mount part (025_all_kernel-2.6.26.patch.gz,762 bytes, application/octet-stream)
2008-08-08 19:07 UTC, Cyrius
Details
Last version of ebuild and patches (vmware-modules.tar.bz2,8.88 KB, application/octet-stream)
2008-08-10 09:21 UTC, Cyrius
Details
Last version of ebuild and patches with comments (vmware-modules.tar.bz2,8.87 KB, application/octet-stream)
2008-08-10 09:26 UTC, Cyrius
Details
Updated ebuild, utilising the new VMware Player release (2.0.5). Builds ok under kernel 2.6.26. (vmware-modules-1.0.0.21.ebuild,741 bytes, text/plain)
2008-08-31 06:12 UTC, Justin Clift
Details
quick ebuild modification to use paldo's patches (vmware-modules-1.0.0.15-r1.ebuild,788 bytes, text/plain)
2008-10-22 18:44 UTC, Takano Akio
Details
Additional patch for 2.6.28 (227303-backportFastClockChanges.patch,11.02 KB, patch)
2008-12-29 22:36 UTC, Tim Yamin
Details | Diff
see http://bugs.gentoo.org/show_bug.cgi?id=227303#c148 (vmware-crash.log,9.67 KB, text/plain)
2009-01-05 20:42 UTC, alex
Details
build.log (build.log,8.09 KB, text/plain)
2009-01-07 12:24 UTC, Martin May
Details
emerge --info (info.txt,4.90 KB, text/plain)
2009-01-07 13:33 UTC, Martin May
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Madej aka Nysander 2008-06-15 19:49:38 UTC
>>> Emerging (1 of 1) app-emulation/vmware-modules-1.0.0.15-r1 to /
 * vmware-any-any-update115.tar.gz RMD160 SHA1 SHA256 size ;-) ...                                        [ ok ]
 * checking ebuild checksums ;-) ...                                                                      [ ok ]
 * checking auxfile checksums ;-) ...                                                                     [ ok ]
 * checking miscfile checksums ;-) ...                                                                    [ ok ]
 * checking vmware-any-any-update115.tar.gz ;-) ...                                                       [ ok ]
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found sources for kernel version:
 *     2.6.26-rc5-git4-X61
>>> Unpacking source...
>>> Unpacking vmware-any-any-update115.tar.gz to /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work
>>> Unpacking ./vmware-any-any-update115/vmmon.tar to /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work
 * Applying various patches (bugfixes/updates) ...
 *   000_all_makefile-include-directory.patch ...                                                         [ ok ]
 *   020_all_epoll-def-warnings.patch ...                                                                 [ ok ]
 * Done with patching
 * Applying various patches (bugfixes/updates) ...
 *   030_all_fix-linux-headers.patch ...                                                                  [ ok ]
 *   035_all_kernel-2.6.25.patch ...                                                                      [ ok ]
 * Done with patching
 * Converting vmmon-only/Makefile to use M= instead of SUBDIRS= ...                                       [ ok ]
>>> Unpacking ./vmware-any-any-update115/vmnet.tar to /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work
 * Applying various patches (bugfixes/updates) ...
 *   000_all_makefile-include-directory.patch ...                                                         [ ok ]
 *   020_all_epoll-def-warnings.patch ...                                                                 [ ok ]
 * Done with patching
 * Applying various patches (bugfixes/updates) ...
 *   021_all_wireless_fix.patch ...                                                                       [ ok ]
 *   025_all_kernel-2.6.25.patch ...                                                                      [ ok ]
 * Done with patching
 * Converting vmnet-only/Makefile to use M= instead of SUBDIRS= ...                                       [ ok ]
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work ...
 * Preparing vmmon module
Using 2.6.x kernel build system.
make -C /usr/src/linux/include/.. M=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-2.6.26-rc5-git4'
make[1]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
  CC [M]  /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.o
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.c:171: error: unknown field 'nopage' specified in initializer
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.c:172: warning: initialization from incompatible pointer type
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.c:175: error: unknown field 'nopage' specified in initializer
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.c:176: warning: initialization from incompatible pointer type
make[3]: *** [/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.o] Error 1
make[2]: *** [_module_/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only] Error 2
make[1]: *** [sub-make] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.26-rc5-git4'
make: *** [vmmon.ko] Error 2
 *
 * ERROR: app-emulation/vmware-modules-1.0.0.15-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3210:  Called linux-mod_src_compile
 *             environment, line 2429:  Called die
 * The specific snippet of code:
 *               eval "emake HOSTCC=\"$(tc-getBUILD_CC)\"                                               CC=\"$(get-KERNEL_CC)\"                                                 LDFLAGS=\"$(get_abi_LDFLAGS)\"                 ${BUILD_FIXES}                                           ${BUILD_PARAMS}                                        ${BUILD_TARGETS} " || die "Unable to emake HOSTCC="$(tc-getBUILD_CC)" CC="$(get-KERNEL_CC)" LDFLAGS="$(get_abi_LDFLAGS)" ${BUILD_FIXES} ${BUILD_PARAMS} ${BUILD_TARGETS}";
 *  The die message:
 *   Unable to emake HOSTCC=i686-pc-linux-gnu-gcc CC=i686-pc-linux-gnu-gcc LDFLAGS=   auto-build VMWARE_VER=VME_S1B1 KERNEL_DIR=/usr/src/linux KBUILD_OUTPUT=/usr/src/linux
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/temp/environment'.
 *

-----------------------------------
emerge --info
-----------------------------------
Portage 2.2_pre8 (default-linux/x86/2007.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.26-rc5-git4-X61 i686)
=================================================================
System uname: Linux-2.6.26-rc5-git4-X61-i686-Intel-R-_Core-TM-2_Duo_CPU_T7300_@_2.00GHz-with-glibc2.0
Timestamp of tree: Sun, 15 Jun 2008 17:30:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.4.4-r6, 2.5.2-r4
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/4.0/env /usr/kde/4.0/share/config /usr/kde/4.0/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/init.d /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks parallel-fetch preserve-libs sandbox sfperms strict unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://gentoo.prz.rzeszow.pl http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="pl_PL"
LC_ALL="pl_PL"
LDFLAGS=""
LINGUAS="pl en en_GB"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/vmware /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac accessibility acpi additions alsa amarok archive avahi bash-completion berkdb bluetooth branding bzip2 cairo calendar captury cddb cli cpudetection cracklib crypt cups daap dbus device-mapper dhcp dialup directfb disk-partition divx dri dvd esd exif fam fbcon fbcondecor fbsplash flac fontconfig fortran gdbm gif gmedia gphoto2 gpm gtk hal hdaps htmlhandbook http ical iconv ieee1394 imagemagick ipv6 isdnlog jack joystick jpeg kde laptop ldap libnotify lm_sensors logitech-mouse mad midi mmx modplug mp3 mplayer mudflap musepack musicbrainz mysql ncurses networkmanager nfs nls nptl nptlonly nsplugin ogg opengl openmp pam pcmcia pcre perl png ppds pppd pulseaudio python qt3 qt3support qt4 quicktime raw readline real realmedia reflection samba scanner sdl session sms snmp speex spell spl sqlite sse sse2 ssl ssse3 svg syslog tcpd theora threads tiff truetype usb vcd vidix vnc vorbis win32codecs x86 xcomposite xine xorg xosd xpm xscreensaver xv xvid zeroconf zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1        emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m       maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="pl en en_GB" USERLAND="GNU" VIDEO_CARDS="vesa intel i810"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Leif Walsh 2008-06-24 04:27:22 UTC
Confirmed on vanilla 2.6.26-rc7.  Here is the emerge error.

$ emerge -1 vmware-modules
...
>>> Emerging (1 of 1) app-emulation/vmware-modules-1.0.0.15-r1 to /
 * vmware-any-any-update115.tar.gz RMD160 SHA1 SHA256 size ;-) ...        [ ok ]
 * checking ebuild checksums ;-) ...                                      [ ok ]
 * checking auxfile checksums ;-) ...                                     [ ok ]
 * checking miscfile checksums ;-) ...                                    [ ok ]
 * checking vmware-any-any-update115.tar.gz ;-) ...                       [ ok ]
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found kernel object directory:
 *     /lib/modules/2.6.26-rc7/build
 * Found sources for kernel version:
 *     2.6.26-rc7
>>> Unpacking source...
>>> Unpacking vmware-any-any-update115.tar.gz to /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work
>>> Unpacking ./vmware-any-any-update115/vmmon.tar to /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work
 * Applying various patches (bugfixes/updates) ...
 *   000_all_makefile-include-directory.patch ...                         [ ok ]
 *   020_all_epoll-def-warnings.patch ...                                 [ ok ]
 * Done with patching
 * Applying various patches (bugfixes/updates) ...
 *   030_all_fix-linux-headers.patch ...                                  [ ok ]
 *   035_all_kernel-2.6.25.patch ...                                      [ ok ]
 * Done with patching
 * Converting vmmon-only/Makefile to use M= instead of SUBDIRS= ...       [ ok ]
>>> Unpacking ./vmware-any-any-update115/vmnet.tar to /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work
 * Applying various patches (bugfixes/updates) ...
 *   000_all_makefile-include-directory.patch ...                         [ ok ]
 *   020_all_epoll-def-warnings.patch ...                                 [ ok ]
 * Done with patching
 * Applying various patches (bugfixes/updates) ...
 *   021_all_wireless_fix.patch ...                                       [ ok ]
 *   025_all_kernel-2.6.25.patch ...                                      [ ok ]
 * Done with patching
 * Converting vmnet-only/Makefile to use M= instead of SUBDIRS= ...       [ ok ]
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work ...
 * Preparing vmmon module
Using 2.6.x kernel build system.
make -C /usr/src/linux/include/.. M=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-2.6.26-rc7'
make[1]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
  CC [M]  /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.o
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.c:171: error: unknown field 'nopage' specified in initializer
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.c:172: warning: initialization from incompatible pointer type
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.c:175: error: unknown field 'nopage' specified in initializer
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.c:176: warning: initialization from incompatible pointer type
make[3]: *** [/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.o] Error 1
make[2]: *** [_module_/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only] Error 2
make[1]: *** [sub-make] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.26-rc7'
make: *** [vmmon.ko] Error 2
 * 
 * ERROR: app-emulation/vmware-modules-1.0.0.15-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3198:  Called linux-mod_src_compile
 *             environment, line 2417:  Called die
 * The specific snippet of code:
 *               eval "emake HOSTCC=\"$(tc-getBUILD_CC)\" 			CC=\"$(get-KERNEL_CC)\" 						LDFLAGS=\"$(get_abi_LDFLAGS)\" 						${BUILD_FIXES} 		${BUILD_PARAMS} 						${BUILD_TARGETS} " || die "Unable to emake HOSTCC="$(tc-getBUILD_CC)" CC="$(get-KERNEL_CC)" LDFLAGS="$(get_abi_LDFLAGS)" ${BUILD_FIXES} ${BUILD_PARAMS} ${BUILD_TARGETS}";
 *  The die message:
 *   Unable to emake HOSTCC=i686-pc-linux-gnu-gcc CC=i686-pc-linux-gnu-gcc LDFLAGS=   auto-build VMWARE_VER=VME_S1B1 KERNEL_DIR=/usr/src/linux KBUILD_OUTPUT=/lib/modules/2.6.26-rc7/build
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/temp/environment'.
 * 

Comment 2 Leif Walsh 2008-06-24 04:28:21 UTC
Created attachment 158175 [details]
my kernel config and emerge --info
Comment 3 Brian Johnson 2008-07-01 05:16:54 UTC
vmware-modules-1.0.0.20 doesn't merge either (and I'm using 2.6.26-rc8)
Comment 4 Brian Johnson 2008-07-07 05:22:36 UTC
CCing vmware@gentoo.org to see if they can shed any light onto this.
Comment 5 Oleg Kostyuk 2008-07-10 01:40:37 UTC
Same error on linux-2.6.26-rc9 and vmware-modules-1.0.0.15-r1

May be, this will be helpful:
http://groups.google.com/group/vmkernelnewbies/browse_thread/thread/bde3f018d1b2fadc
Comment 6 devsk 2008-07-14 04:02:18 UTC
modified vmmon.tar and vmnet.tar at:

http://communities.vmware.com/thread/150690

They at least compile fine.
Comment 7 Mike Auty gentoo-dev 2008-07-14 23:47:17 UTC
*** Bug 231752 has been marked as a duplicate of this bug. ***
Comment 8 Mike Auty gentoo-dev 2008-07-17 08:13:02 UTC
*** Bug 231985 has been marked as a duplicate of this bug. ***
Comment 9 Jeroen Roovers gentoo-dev 2008-07-17 21:18:44 UTC
*** Bug 232113 has been marked as a duplicate of this bug. ***
Comment 10 Jeroen Roovers gentoo-dev 2008-07-18 06:02:14 UTC
*** Bug 232148 has been marked as a duplicate of this bug. ***
Comment 11 Carsten Lohrke (RETIRED) gentoo-dev 2008-07-18 23:37:26 UTC
*** Bug 232275 has been marked as a duplicate of this bug. ***
Comment 12 Manfred Knick 2008-07-19 07:38:30 UTC
In his mail "linux-staging for 2.6.26-rc8", Greg KH announced:

" - added the vmware drivers vmmon, vmnet and vmblock as they are now
   released under the GPLv2."

( http://lwn.net/Articles/288209/ )

This would imply we do not need to build the corresponding modules
from app-emulation/vmware-workstation-tools any more.

But:

Emerging gentoo-sources-2.6.26,
"make menuconfig" -> Virtualization displayed the KVM options,
but I could not find any options relating to VMware.
Comment 13 devsk 2008-07-19 07:57:48 UTC
vmware code dir is not there in 2.6.26 release. Someone messed it up or Linus decided not to include it.
Comment 14 Manfred Knick 2008-07-19 08:31:58 UTC
(In reply to comment #13)
> vmware code dir is not there in 2.6.26 release. Someone messed it up or Linus
> decided not to include it.
> 

Thanks a lot!

Just last minute I searched
http://www.eu.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.26
myself;
the only thing related to vmware I found was:

"commit 672ca28e300c17bf8d792a2a7a8631193e580c74
Author: Linus Torvalds <torvalds@linux-foundation.org>
Date:   Mon Jun 23 11:21:37 2008 -0700

    Fix ZERO_PAGE breakage with vmware
    
    Commit 89f5b7da2a6bad2e84670422ab8192382a5aeb9f ("Reinstate ZERO_PAGE
    optimization in 'get_user_pages()' and fix XIP") broke vmware
..."

which underlines your statement.

Do you happen to know a hint where to dig for further information
(eg., re-planned for 2.6.27 etc.) ?
Comment 15 Mike Auty gentoo-dev 2008-07-19 10:09:57 UTC
I think adding patches that late in the release cycle means they won't make it in until the next kernel at the earlier, but as long as the patches are present, it should help us in making an ebuild that can work with the 2.6.26 kernel...  5:)
Comment 16 Charlie Brackett 2008-07-20 00:10:07 UTC
Greg KH was referring to his linux-staging tree.

This tree can be found here:
http://git.kernel.org/?p=linux/kernel/git/gregkh/staging.git;a=summary

You can read about this tree here:
http://git.kernel.org/?p=linux/kernel/git/gregkh/staging.git;a=blob;f=README

From the README:

"The linux-staging tree was created to hold drivers and filesystems and other semi-major additions to the Linux kernel that are not ready to be merged at this point in time.  It is here for companies and authors to get a wider range of testing, and to allow for other members of the community to help with the development of these features for the eventual inclusion into the main kernel tree."

I wouldn't expect these drivers to be in mainline any time soon. I couldn't get them to compile (although I didn't try very hard).
Comment 17 Manfred Knick 2008-07-20 06:35:40 UTC
(In reply to comment #16)
> Greg KH was referring to his linux-staging tree.

  @ Charlie :  Thank you for your hint!
Comment 18 Manfred Knick 2008-07-20 07:10:14 UTC
VMware Workstation Community thread

"vmblock.c compile error with vm workstation 6.0.4 & linux kernel 2.6.25"

http://communities.vmware.com/thread/154066;jsessionid=C67CAC7E805C4ABE614F824320164A69?tstart=0

cite : nick4ph : Jul 19, 2008 11:08 PM

"Hello,
please try this patch, it worked for me with 2.6.26 even:
vmblock-2.6.26.patch (392.8 K)"

pointing at

http://communities.vmware.com/servlet/JiveServlet/download/997971-11322/vmblock-2.6.26.patch;jsessionid=C67CAC7E805C4ABE614F824320164A69?tstart=0
Comment 19 Manfred Knick 2008-07-20 07:17:17 UTC
Addendum to comment #18

> vmblock-2.6.26.patch (392.8 K)"

A first quick look:

- Most of the textual volume adheres to the license change

- Second in volume, there are already lots of adaptations to the standards of the linux kernel tree

- Last, but perhaps most important to this thread, there are some 'real' patches of the code
Comment 20 Manfred Knick 2008-07-20 10:03:12 UTC
More digging:

Workstation 6.5 Beta 2
( http://www.vmware.com/communities/content/beta/ws65/welcome.html )

is reported to be already "very stable" 
and to reliably work with 2.6.26.

Perhaps it might be easier to build upon those (already "open-sourced") included modules ?
Comment 21 Manfred Knick 2008-07-21 06:39:12 UTC
(Addendum to comment #18)

In between nick4ph also pointed out patched sources for vmmon and vmnet :

nick4ph : Jul 20, 2008 11:23 PM , same thread as above.
Comment 22 Andreas Proteus 2008-07-21 21:21:36 UTC
(In reply to comment #21)
I tried the patches from: http://communities.vmware.com/thread/154066;jsessionid=C67CAC7E805C4ABE614F824320164A69?tstart=0

The result is that vmware-modules-1.0.0.20 compile successfully (gentoo-sources-2.6.26) but when trying to insert the modules both vmnet and vmmon fail with: Invalid module format.

Here is how I patched the ebuild:

--- vmware-modules-1.0.0.20.ebuild  2008-07-22 00:08:01.000000000 +0300
+++ vmware-modules-1.0.0.20.ebuild-new  2008-07-22 00:09:12.000000000 +0300
@@ -14,8 +14,9 @@

 src_unpack() {
    vmware-mod_src_unpack
-   cd "${S}/vmblock-only"
-   epatch "${FILESDIR}/patches/vmblock/010_all_kernel-2.6.25.patch"
    cd "${S}"
+   epatch "${FILESDIR}/patches/vmblock-2.6.26.patch"
+   epatch "${FILESDIR}/patches/vmmon-2.6.26.patch"
+   epatch "${FILESDIR}/patches/vmnet-2.6.26.patch"
    epatch "${FILESDIR}/${PV}-makefile-kernel-dir.patch"
 }
The patches for vmmon and vmnet were produced by diffing the existing vmmon-only and vmnet-only with the modified directories found in the above thread.

Please forgive if I have done anything naive.  I am not very knowledgeable.
Comment 23 Mike Auty gentoo-dev 2008-07-21 21:27:21 UTC
I'm not certain why that's happening, but I've seen the same results with the work I've been doing on the vmware-workstation-6.5.0 modules (which also seem to compile with 2.6.26, and may provide a base for other releases)...

If you modprobe the modules, they'll load fine (and the init script will start properly if vmmon and vmnet are modprobe before hand).  It turns out the "modprobe -f" (which apparently strips versioning information and other bits and pieces to ensure loading of the module) breaks things and causes the invalid format message.

Meanwhile, I'm still looking into this, although progress is slow.  Thanks to those of you pointing to possible patches and discussions about the issues, please keep them coming...  5:)
Comment 24 Andreas Proteus 2008-07-22 02:57:27 UTC
Created attachment 161070 [details, diff]
patches for vmware-modules-1.0.0.20 (2.6.26)

(In response to comment #23)

Thank you.  You are right.  When modprobing the modules manually everything works as it should.  I suppose now the /etc/init.d/vmware script needs to be modified.

I post the patches in case someone else wants to try them.

kind regards.
Comment 25 Andreas Proteus 2008-07-22 03:11:58 UTC
Created attachment 161071 [details]
patches for vmware-modules-1.0.0.20 (2.6.26)

Apologies.  Here are the compressed patches
Comment 26 Alex Boag-Munroe 2008-07-22 12:17:40 UTC
Ok I'm emerging vmware-workstation-6.5.0 from the vmware overlay with vmware-modules-1.0.0.20 (1.0.0.19 fails to build with the same errors as here).

vmware-modules-1.0.0.20 builds ok but vmware-workstation doesn't like the module versions that are running.  1.0.0.19 which the vmware-workstation ebuild is trying to pull in fails with the same error.

What am I doing wrong?
Comment 27 Mike Auty gentoo-dev 2008-07-22 13:24:43 UTC
Alex,

You're trying to use the vmware workstation 6.0.4 modules (1.0.0.20) with vmware workstation 6.5.0 beta 1, which requires it's own modules (1.0.0.19).

Vmware keeps updating their modules and they don't always have a straight forward version number, so we've given them all numbers of our own.  At the moment, the most important ones are:

1.0.0.21   workstation-6.5.0-beta2 (not yet in the overlay)
1.0.0.20   player-2.0.4/workstation-6.0.4
1.0.0.19   workstation-6.5.0-beta1
1.0.0.18   player-2.0.1-3/workstation-6.0.1-3

and so forth...

Each ebuild knows which set of modules it will build with, and should refuse to install with an other version.  If you want to mix and match you're on your own I'm afraid...
Comment 28 ta2002 2008-07-22 15:04:13 UTC
Same error using gentoo-sources-2.6.25-r7 (the latest stable kernel) with vmware-workstation-5.5.7.91707 (the current stable version) (and vmware-modules-1.0.0.15-r1, of course).

This seems more important since it involves all stable versions (no ~arch versions).
Comment 29 Mike Auty gentoo-dev 2008-07-22 15:26:49 UTC
Throw away, 2.6.25 with modules 1.0.0.15-r1 should be working fine.  You might have run into bug 231356 instead.  Please check that bug and see if it's your problem, otherwise please provide some more information here (like, at least the error message you're getting).  Thanks...
Comment 30 Manfred Knick 2008-07-23 09:04:52 UTC
(In reply to comment #27)
> Thanks to those of you pointing to possible patches and discussions about the issues,
Many thanks to you for your contributions!
> please keep them coming...  5:)
Sure!

(In reply to comment #27)
> 1.0.0.21   workstation-6.5.0-beta2 (not yet in the overlay)

Please, could I ask you the favour to provide these as an attachment,
(evtl. with the patches from comments #18 , #25 already included)?

I'd like to volunteer and test them as a local overlay
( HW: amd64_x2 | 4xSATA | nvidia ) .
Comment 31 Grégoire Favre 2008-07-23 11:56:06 UTC
Any schedule of when vmware-workstation 6.5 beta2 will come into the overlay ?
Comment 32 Mike Auty gentoo-dev 2008-07-23 12:46:03 UTC
vmware-workstation-6.5.0 beta 2 is off topic for this bug.  If you're interested in it, please see bug 232230.  Thanks...
Comment 33 ivo welch 2008-07-26 01:12:11 UTC
Is this patch going to percolate into the official portage tree?

I have vanilla-kernel 2.6.26, but nothing from the unpatched portage tree compiles right now as of 7/25.

Also, would it make sense to fold vmware-modules ebuilds into the vmware program ebuilds that they refer to?  After all, the version numbering is misleading. (Different versions apply to different vmware programs;  they are not successive versions of the same program.)  I must say this looks like a mess to me.  what modules would be inserted if I want to run player and workstation 6.5b2?

(PS: I presume that vmware-workstation continues to require a purchase, even if it is in the portage tree, right?  or is the beta free?  If so, time limited [beta will expire?]?)

/iaw
Comment 34 Manfred Knick 2008-07-26 06:16:55 UTC
(In reply to comment #33)

> I have vanilla-kernel 2.6.26, but nothing from the unpatched portage tree
> compiles right now as of 7/25.

Well, fine for you!

Please, observe that the latest _stable_ version is sys-kernel/vanilla-sources-2.6.25.9 !!!

Please, re-read  Comment #29 and Comment  #32 From Mike Auty.

If you decide to go for masked versions, you are expected to understand what you are doing.
Gentoo-Policy clearly states: "... then you are on your own."

> Also, would it make sense to fold vmware-modules ebuilds into the vmware
> program ebuilds that they refer to?

No, really not, defenitely !!

> After all, the version numbering is misleading.
> (Different versions apply to different vmware programs;
> they are not successive versions of the same program.)

Please, re-read Comment  #27 From Mike Auty.

> I must say this looks like a mess to me.

Well, being prepared to read certainly would help ...

> what modules would be inserted if I want to run player and workstation 6.5b2?

C.f. above and below; plunge into the VMware Communities, ...

> (PS: I presume that vmware-workstation continues to require a purchase, 
> even if it is in the portage tree, right?

Unfortunately: YES  :(

>  or is the beta free?

Fortunately: YES :)

> If so, time limited [beta will expire?]?)

Unfortunately: YES  :(

Please, read http://communities.vmware.com/thread/157731 .

---

Further on, you might re-consider why you are using unstable vanilla-sources instead of stable gentoo-sources.

In general, before plunging into unstable, make yourself knowledgeable about the issues involved.
This especially holds essential if system-critical components like kernel or even gcc / glibc are involved.

Then, instead of just only unsubstantially (you have not even provided your system / build information ...) bloating at the people which do the sometimes not very easy task to achieve making the next versions really stable (like e.g. Mike, THANKS! a lot), you could perhaps consider trying to contribute constructive information which has not been disclosed to the community yet, like e.g. additional error information / testing results, observations on different machines, ...
Comment 36 Patrizio Bassi 2008-07-26 08:32:45 UTC
can you push this patches to portage please?
Comment 37 Manfred Knick 2008-07-26 09:28:37 UTC
(In reply to comment #36)
> can you push this patches to portage please?

Can YOU READ ?

c.f. above ... and 
> Comment #23
> Comment #24
> http://bugs.gentoo.org/show_bug.cgi?id=232230#c6
and ...

Perhaps, you could "just simply" post the missing solutions / patches ?
That would be fine, indeed ... and appreciated very much :)
Comment 38 Mike Auty gentoo-dev 2008-07-26 10:13:11 UTC
Alex,

Thanks very much for the patches, I hope it helps the people that need to use the 2.6.26 kernel in their quest.

Patrizio,

These patches won't get pushed to the official portage tree, because whilst they may fix compilation on 2.6.26, they will break compilation on 2.6.25, 2.6.24, 2.6.23, 2.6.22, 2.6.21, 2.6.20...  If the patches were #ifdeffed to make the changes only if 2.6.26, that'd be great.  Sadly, it'll take me a while to do this myself since real life is taking it's toll on me at the moment.

Ivo,

There were several design decisions made to centralize the code as much as possible and to allow recompiling of just the modules.  I'm not going to explain them to you now but this is, so far, the best solution for maintenance both by users and ebuild developers, given the ever changing output from vmware.
Comment 39 Patrizio Bassi 2008-07-26 10:50:08 UTC
i didn't follow the 6.5 discussion, however i just noticed i was wrong, i was using a wrong kernel, and those patches are not working on my amd64 on 2.6.26

i get:
proc_dir_entry 'fs' already registered
Pid: 3287, comm: modprobe Tainted: P          2.6.26 #22

Call Trace:
 [<ffffffff80312d8c>] proc_register+0x19c/0x1d0
 [<ffffffff80312ee8>] create_proc_entry+0x58/0xa0
 [<ffffffffa088273f>] :vmblock:VMBlockInitControlOps+0x1f/0x110
 [<ffffffffa0883396>] :vmblock:init_module+0x6/0x40
 [<ffffffff80270b9a>] sys_init_module+0x18a/0x1f90
 [<ffffffff802b5830>] kmem_cache_destroy+0x0/0x340
 [<ffffffff8020badb>] system_call_after_swapgs+0x7b/0x80

waiting for better upstream fixes so,  i'll be happy to test.
Comment 40 Manfred Knick 2008-07-27 11:58:24 UTC
(In reply to comment #36)

  @  Patrizio Bassi :

I apologize for my wording in Comment  #37.

I fear your request was the last tiny straw that broke the camel's back ... 
I'm really sorry.
Comment 41 Patrizio Bassi 2008-07-27 17:21:43 UTC
totally no problem, i had to read and investigate more.

issue is not closed because it was never opened :)
Comment 42 Piotr 2008-07-27 19:20:03 UTC
Is it possible to create same set of patches for modules for vmware server? Their number is 1.0.0.15.
Thanks
Comment 43 Christian Schmidt 2008-07-30 17:06:42 UTC
(In reply to comment #19)
> Addendum to comment #18
> 
> > vmblock-2.6.26.patch (392.8 K)"
> 
> A first quick look:
> 
> - Most of the textual volume adheres to the license change

The majority is even the compilation leftovers, including the module, intermediate .o files, and the cmd file to build them.
 
> - Second in volume, there are already lots of adaptations to the standards of
> the linux kernel tree
> 
> - Last, but perhaps most important to this thread, there are some 'real'
> patches of the code

Well, reading my rejects...

dentry.c:
***************
*** 98,105 ****
        LOG(4, "DentryOpRevalidate: [%s] no longer exists\n", iinfo->name);
        return 0;
     }
-    ret = actualNd.dentry && actualNd.dentry->d_inode;
-    path_release(&actualNd);
  
     LOG(8, "DentryOpRevalidate: [%s] %s revalidated\n",
         iinfo->name, ret ? "" : "not");

This one fails because there is something better even in gentoo's 2.6.25 patches:

-   ret = actualNd.dentry && actualNd.dentry->d_inode;
+   ret = nd_dentry(&actualNd) && nd_dentry(&actualNd)->d_inode;


--- 112,125 ----
        LOG(4, "DentryOpRevalidate: [%s] no longer exists\n", iinfo->name);
        return 0;
     }
+    // FIXME: am comentat asta din cauza ca spune ca: 'struct nameidata' has no member named 'dentry'
+    // cel mai bine e daca gasesti patchul pentru vmware pentru kernelu ista, altfel se incep miracole
+ //   ret = actualNd.dentry && actualNd.dentry->d_inode;
+    ret = 1;
+ 
+    // FIXME: functia asta nu pre are prototip undeva declarat, credca e legat de vreun kernel mai vechi
+    // incearca asta: http://forums.fedoraforum.org/printthread.php?t=192282
+ //   path_release(&actualNd);
  
     LOG(8, "DentryOpRevalidate: [%s] %s revalidated\n",
         iinfo->name, ret ? "" : "not");

Honestly, I don't know if I really want to have these patches...
Comment 44 coolone 2008-08-01 06:20:32 UTC
how to use this patch..i am newbie :)
Comment 45 Cyrius 2008-08-03 17:10:42 UTC
Hi, 
 I've tried these patches but it didn't work :

# /etc/init.d/vmware start
 * Loading vmblock for drag and drop support ...
mount: mount point /proc/fs/vmblock/mountPoint does not exist
 * Failed to mount the vmblock filesystem                                                                                                                             [ ok ]
 * Starting VMware services:                                                                                                                                          [ ok ]
 *   Virtual machine monitor                                                                                                                                          [ !! ]
 *   Virtual ethernet                                                                                                                                                 [ !! ]
 *   Module vmnet is not loaded. Please verify that it is loaded before                                                                                               [ !! ]
 *   running this script.                      

dmesg info  :
proc_dir_entry 'fs' already registered
Pid: 24628, comm: modprobe Tainted: P          2.6.26-gentoo #1
 [<c01be3f8>] proc_register+0x148/0x170
 [<c01be524>] create_proc_entry+0x54/0xa0
 [<f8f7a550>] VMBlockInitControlOps+0x20/0x100 [vmblock]
 [<f8f7afd9>] init_module+0x9/0x40 [vmblock]
 [<c0150168>] sys_init_module+0x148/0x1bb0
 [<c017feb0>] kmem_cache_destroy+0x0/0x170
 [<c016c210>] arch_get_unmapped_area_topdown+0x0/0x180
 [<c0103313>] sysenter_past_esp+0x78/0xb1
 [<c0590000>] setup_local_APIC+0x1b6/0x1d5
 =======================
proc_dir_entry 'vmnet' already registered
Pid: 25285, comm: modprobe Tainted: P          2.6.26-gentoo #1
 [<c01be3f8>] proc_register+0x148/0x170
 [<c01be524>] create_proc_entry+0x54/0xa0
 [<f8f8ee18>] VNetProc_MakeEntry+0x18/0x30 [vmnet]
 [<f8f8ee4b>] VNetProc_Init+0x1b/0x20 [vmnet]
 [<f8f8aada>] init_module+0xa/0xfb0 [vmnet]
 [<c0144a17>] blocking_notifier_call_chain+0x17/0x20
 [<c0150168>] sys_init_module+0x148/0x1bb0
 [<c05940b0>] _write_unlock_irqrestore+0x0/0x20
 [<c016c210>] arch_get_unmapped_area_topdown+0x0/0x180
 [<c0103313>] sysenter_past_esp+0x78/0xb1
 =======================
proc_dir_entry 'fs' already registered
Pid: 25520, comm: rmmod Tainted: P          2.6.26-gentoo #1
 [<c01be3f8>] proc_register+0x148/0x170
 [<c01be524>] create_proc_entry+0x54/0xa0
 [<f8f7a515>] VMBlockCleanupControlOps+0x35/0x50 [vmblock]
 [<f8f7afc5>] cleanup_module+0x5/0x10 [vmblock]
 [<c0151da7>] sys_delete_module+0x167/0x230
 [<c016c5f6>] remove_vma+0x46/0x60
 [<c016d670>] do_munmap+0x1e0/0x240
 [<c0103313>] sysenter_past_esp+0x78/0xb1
 [<c0590000>] setup_local_APIC+0x1b6/0x1d5
 =======================

No vmblock in /proc/fs

Kernel info will follow as attachment



Comment 46 Cyrius 2008-08-03 17:15:16 UTC
Created attachment 162125 [details]
Kernel config for info

Kernel config info
Comment 47 Alon Bar-Lev 2008-08-03 18:37:21 UTC
Hello All,

I've got tired waiting for VMWare to update their modules each time, so I looked into VirtualBox, I was surprised that it can read the VMWare image! I had to fix the ebuild so it will not use any binary module see bug#232775. I also partially updated gentoo-wiki entry [1]. It works fairly well. If you have Windows guest just remove all VMWare devices from device manager and install standard devices instead.

Best of luck,
Alon.

[1] http://gentoo-wiki.com/HOWTO:_VirtualBox
Comment 48 devsk 2008-08-03 18:54:52 UTC
(In reply to comment #47)
> Hello All,
> 
> I've got tired waiting for VMWare to update their modules each time, so I
> looked into VirtualBox, I was surprised that it can read the VMWare image! I
> had to fix the ebuild so it will not use any binary module see bug#232775. I
> also partially updated gentoo-wiki entry [1]. It works fairly well. If you have
> Windows guest just remove all VMWare devices from device manager and install
> standard devices instead.
> 
> Best of luck,
> Alon.
> 
> [1] http://gentoo-wiki.com/HOWTO:_VirtualBox
> 

If you did get 1.6.4 to work with Gentoo, please let me know. I am planning to move away from vmware as well. Unfortunately, virtualbox is also not well-supported in gentoo. e.g. I haven't found any ebuilds for 1.6.4 (there is xorg.conf related bug in 1.6.2 which is fixed in 1.6.4). No overlay for it either.
Comment 49 nuitari 2008-08-03 21:13:34 UTC
I have the same issue as #45
It then just fails to start the rest and vmware shows as not being configured 
Comment 50 Manfred Knick 2008-08-04 08:19:07 UTC
(In reply to comment #45)

Hi,  Cyrius,

perhaps you might try to test

http://bugs.gentoo.org/show_bug.cgi?id=232230#c14
Comment 51 Marco Schinkel 2008-08-05 09:14:11 UTC
(In reply to comment #42)
> Is it possible to create same set of patches for modules for vmware server?
> Their number is 1.0.0.15.
> Thanks
> 

There is a patch at http://www.it-psycho.de/2008/07/27/vmware-server-106-mit-kernel-2626/
Comment 52 Andreas Proteus 2008-08-05 15:17:34 UTC
Created attachment 162272 [details]
patch instructions

(In reply to comments #44 and #45)
These are the steps that worked for me.  Apologies if they are unorthodox or naive but I am not an expert.  In any case I have vmware-workstation working with kernel 2.6.26 including bridge networking and drag/drop support.
Comment 53 Cyrius 2008-08-05 19:50:02 UTC
Oki,

   For post 43. I agree with you, that's dirty and already solved in patch for kernel 2.6.25.
   For post 50, let's have a discussion later offline about.
   For my last post, the problem is coming from the new EXT4 implementation.
   Have a look in Documentation/filesystem of your kernel 2.6.26.
   The EXT4 option in kernel already create /proc/fs/ as i understood. (I'm not sure).
   anyway, the only way is to deactivate it because you have :
             .owner = THIS_MODULE;
    in EXT4 source directory.

    Then i test it and come back with the result.

Comment 54 Cyrius 2008-08-05 20:46:19 UTC
oki doki,

   Is there a kernel module developer on proc here ?
   It doesn't work anyway. The vmblock directory is not created.
   When i modprobe manually it : same result.
   I think the guy that puted the create_proc_entry does it because no network filesystem was setup in his kernel.
   I had some really strange messages like :
Aug  5 22:05:10 hostname modprobe: FATAL: Error inserting vmmon (/lib/modules/2.6.26-gentoo/misc/vmmon.ko): Invalid module format
Aug  5 22:05:10 hostname modprobe: FATAL: Error inserting vmnet (/lib/modules/2.6.26-gentoo/misc/vmnet.ko): Invalid module format
     
   That's smell  no good for the moment.


   

Comment 55 Mike Auty gentoo-dev 2008-08-05 21:01:32 UTC
Cyrius, the invalid formats are probably because you have module versioning enabled.  If you use modprobe without -f, they should insert properly.  The vmware script uses -f for historical reasons, but recently it seems to break modules that would otherwise load fine.  Hope this helps...
Comment 56 Cyrius 2008-08-06 17:34:43 UTC
Hi Mike,

    thanks, i will verify it.
    I've tried with the last kernel it worked with, as i know : Gentoo-2.6.25-rc2.
    The proc directory is created correctly.
    I remind that i had the same problem with upper versions. I will re test it too to certified it and try to know what have changed without changing my kernel parameters.
   I agree the modules are loaded fine but the directory /proc/fs/vmblock is not created anymore. Then i imagine i'll suffer other buggs or performances issues due to this. Am i wrong ?
Comment 57 Mike Auty gentoo-dev 2008-08-07 13:26:43 UTC
/proc/fs/vmblock is only required for drag and drop capability between the host and guest operating systems.  It will not impact on the performance of anything else relating to vmware if it is not present or mounted.
Comment 58 Andreas Proteus 2008-08-07 14:42:27 UTC
(In reply to comment #57)
I have been using wmware-workstation with the above patches and  gentoo-sources-6.2.26 for about 3 weeks. I have not noticed any problems with performance.

Dragging from the host and dropping to the guest (M$ guests) works ok.  Only dragging from the guest and dropping to the host doesn't work, but I can live with this.

I hope this info is of some use. 
Comment 59 Cyrius 2008-08-07 20:44:45 UTC
Created attachment 162464 [details]
ebuild and patches

Andreas,

     I've revewed the existing patches and put the kernel 2.6.26 in parameter in (Not a lot to do)
     I finally found why the filesystem was not created and how to solve the creation.
     But when starting vmware, now, i have this error :
                   mount: unknown filesystem type 'vmblock'
     It seems something is missing or that the modifications are not complete in the code now to qualify the type of the directory.
     It will be the game of an other day.
Comment 60 Cyrius 2008-08-07 20:49:19 UTC
Oups, i mean Mike, not Andreas.

Comment 61 Jeff Wiegley 2008-08-08 04:57:24 UTC
Could somebody, for the love of god, please explain clearly what I should be doing to get vmware-server running with 2.6.26.2.  Do not just say "use vmware overlay". I tried installing layman and doing layman -a vmware and it says no such overlay exists.

The gentoo vmware-server howtos are woefully out of date and useless. They've been utterly useless for at least the past year. All installation instructions only seem to be appearing in the bugs and this leaves them unorganized instructions at best, conflicting and contradictory at worst.

We need a more detailed step-by-step for idiots like myself to tide us over until Mike can get portage packages up to date.
Comment 62 Mike Auty gentoo-dev 2008-08-08 08:36:34 UTC
Jeff, just quickly, the reason layman -a vmware didn't work is because you didn't download the list of available overlays.  Try layman -f first, then give the layman -a vmware another try, hopefully it will work this time.  I think the latest usable vmware-server is in the main tree also, so the overlay is unlikely to help (the modules in the overlay won't work with 2.6.26.anything).
Comment 63 Jeff Wiegley 2008-08-08 15:52:12 UTC
Does this mean there is nothing relatively easy one can do to get vmware-server working with 2.6.26.*? I'd be happy to modify an ebuild or apply a patch if somebody could provide a step-by-step for how to do so.
Comment 64 Cyrius 2008-08-08 16:24:38 UTC
Mike, Jef,
    I think i found why the mount doesn't work and will try to solve it.
   Mike, Are we agree if it is the case, that you will be able to integrate it in Gentoo portage for 2.6.26 ?
   Or are they  other problems with it ?
   Because, for my egoist use, i prefer to use vmware instead of Virtual box until i don't need sound.
   The management of my dual core is more efficient with vmware.
   With Virtual Box, i have one processor at 90 % all the time for an OS and my laptop stuck sometime which i really don't appreciate. 
Comment 65 Jeff Wiegley 2008-08-08 17:18:26 UTC
I don't know that I'm having a "mount" problem. I'm having the problem that vmware-modules fails to compile against 2.6.26.2 do to "nopage" being referenced.
Is that the same thing?
Comment 66 Andreas Proteus 2008-08-08 18:36:06 UTC
(In reply to comment #64)
> I think i found why the mount doesn't work and will try to solve it.
Can you please tell us of your findings?

(In reply to comment #65)
Have you tried the above patches?
Comment 67 Mike Auty gentoo-dev 2008-08-08 19:05:27 UTC
Cyrius, I haven't had a chance to review the patches you provided, but yes, if the code compiles and runs for both kernel 2.6.26 and older kernels, then I'll add it to the various overlays.  Sadly, I'm entirely busy this weekend, but hopefully next weekend I'll have a chance to try them out.  Thanks for the posting them anyway, it should help those that need this setup to get going without help from portage...  5:)
Comment 68 Cyrius 2008-08-08 19:07:51 UTC
Created attachment 162540 [details]
vmblock patch to correct the mount part

Andreas,

   yes for sure.
By replacing proc_fs_root by NULL, we have to use the full path from /proc : means "fs/vmblock" instead of "vmblock" for the first creation. for the others, the code take in reference the precedent directory creation so that's ok. 
It's because, i replaced "vmblock" by "fs/vmblock" in vmblock.h to correct the creation in control.c.
But i missed the use of VMBLOCK_FS_NAME in filesystem.c too ! That's the error i generated. 
Now it works.
You can do the "mount -t vmblock none /proc/fs/vmblock/mountPoint"

A more complicated problem for us now is when you modprobe -s -f the modules, you get the
error : Invalid module for the kernel in your /var/log/messages file.
This explain first why i don't have vmnet working i think.
Cause i re tried with your patch and had the same error.
There is a post : http://mail.nl.linux.org/kernelnewbies/2005-06/msg00233.html
that explain it could be some wrong compile options in Makefile and give us the documentation to read to understand : /src/Documentation/kbuild/*.txt


I've put the vmblock patch to add in the ebuild to permit you to have the same state point i have.
Comment 69 Cyrius 2008-08-08 21:16:36 UTC
Andreas,

    I had a look to the first patches. In fact the Makefile.normal file is modified.
   Some binaries are modified too!
   Do you have the solution for the module format error ?
   After, if yes, we'll just re add the GPL licence and it should be ok then.
Comment 70 Cyrius 2008-08-10 09:21:39 UTC
Created attachment 162608 [details]
Last version of ebuild and patches

So, i've added the comment to apply a workaround for the invalid module format :
     Replace modprobe -f by modprobe -s
The vmblock works, the /etc/init.d/vmware script then works.
I've added a check on the unused symbols option of the kernel.

I saw these problems taht should be corrected:
     vmblock stay uploaded when you stop vmware script
    entries created by vmnet stay in proc and dev when you stop vmware script

Would it be possible to have a use flag to activate the vmware modules log ?
This flag should be linked to a patch to activate it.

I didn't merged my patch with the vmblock-2.6.26.patch cause i don't know if it's possible to change the licence (as i didn't see that for the other modules). Perhaps, it will be more prudent to wait an official source code from them.
When i've tried to apply their patch on vmblock and doing my modifications, i experimented an unstability of my system. I don't know why. If omeone could retry please. Because, perhaps, it was an error of mine.

But ok, by following the instructions in the ebuild : IT WORKS
Comment 71 Cyrius 2008-08-10 09:26:21 UTC
Created attachment 162610 [details]
Last version of ebuild and patches with comments

Oups, just forgot the comments in the ebuild
Comment 72 devsk 2008-08-10 09:33:38 UTC
I have tested the patches posted here:

http://www.paldo.org/index-section-packages-page-main-releaseid-107725.html

They seem to work with vmware-server-1.0.5.
Comment 73 Cyrius 2008-08-10 10:19:14 UTC
I had a look, they seem to be identical apart there's no vmblock  patche :-)
Comment 74 Jeff Wiegley 2008-08-12 23:58:23 UTC
(In reply to comment #66)
> (In reply to comment #64)
> > I think i found why the mount doesn't work and will try to solve it.
> Can you please tell us of your findings?
> 
> (In reply to comment #65)
> Have you tried the above patches?
> 

This is one of my bugaboos... "above patches" PHeeeh! Which one?? There are two "above" and a whole bunch of them in the attachments. Be more specific, otherwise I'm thrashing about trying to install multiple/wrong patches and then making useless feedback about non-working patches that are known to already be the wrong ones.

And nobody has yet answered my original request... Could somebody please post a step-by-step for idiots like myself on how to install vmware-server when using a 2.6.26 kernel.  I don't care if I have to do patch or development level stuff. I get that "emerge vmware-server" isn't going to work. But I would like to know what I should do instead. (and the instruction attachment from Proteus is obselete and should be struck out.)

I think I figured out how to get vmware-modules-1.0.0.20 installed via ebuild (manifest followed by merge) but this doesn't do me much good. vmware-server still tries to pull in 1.0.0.15-rc1 (good to see that we're using an rc package after how long???)

I've tried --skipfirst to get vmware-server installed without pulling in the obsolete vmware-modules. But now two issues occur:
 A) I get vmmon mismatch errors that prevent any virtual machine from
    starting (yes, I have tried reinstalling vmware-server) and
 B) Now I can't use emerge --update with deep because I've
    circumvented the vmware-modules-1.0.0.15-rc1 dependency.

I mean seriously, is it just me that can't figure this out or is there at least one other soul out there that needs 2.6.26 (which has been the stable kernel for a month now) and sees the same level of confusion and difficulty over this situation?
Comment 75 Cyrius 2008-08-13 18:50:32 UTC
It's because you have to mask all modules up to 1.0.0.15-rc1 in /etc/portage/package.mask
This place is not the right place to discuss about. You have to post your problem in the forum and look for buggs on vmware-server.
Comment 76 Jason Cornez 2008-08-14 07:31:24 UTC
This bug is titled to be about all versions of vmware-modules.

I have a license for and use vmware-workstation 5.x, which requires vmware-modules-1.0.0.15-r1.  The latest patch and the instructions all seem to be about vmware-modules-1.0.0.20.  Will these patches work for 1.0.0.15-r1 and if so, how?  Thanks.
Comment 77 Ian Pickworth 2008-08-18 20:04:43 UTC
I've struggled with all the patches mentioned in this bug for some time now, and I can't get any one of them to patch correctly against vmware-modules-1.0.0.15-r1.

The patches suggested by comment #72 appear to be for a later version of the source than that used in vmware-modules-1.0.0.15-r1. This means that there are three failed hunks when applying the VMware-server-vmmon-1.0.6-91891-2.6.26-1.patch file from the link.
I can't see any other patches in this bug so far that look relevant to 1.0.0.15.

Can anyone help? Any way of getting vmware-modules-1.0.0.15-r1 updated so it compiles (and works - but one step at a time!) ?

Thanks
Ian
Comment 78 Mike Auty gentoo-dev 2008-08-19 01:11:47 UTC
Ok, vmware-modules-1.0.0.20 is now in the overlay.  Thanks go entirely to Cyrius who did all the patches, and even fixed another bug in the process.  I've had a look through the patches and they seem good stuff (all ifdefed for the right kernel and everything).  Thanks again Cyrius!  Everyone else, please test it out and let me know if there's a problem.

All users of vmware-modules < 1.0.0.20, I'm sorry, the modules will still be broken for you, but now that this is out of the way, I can move on to trying to fix that.  Sorry for the delay, but my time is quite scarce at the moment...  5:(
Comment 79 Jason Cornez 2008-08-19 07:30:24 UTC
Thanks for your efforts - much appreciated.  I'll be happy to test 1.0.0.15-r1 whenever you get to it.
Comment 80 Willard Dawson 2008-08-20 11:42:38 UTC
> I mean seriously, is it just me that can't figure this out or is there at least
> one other soul out there that needs 2.6.26 (which has been the stable kernel
> for a month now) and sees the same level of confusion and difficulty over this
> situation?
> 

Add me to the list of folks who need help with this.  I've pretty much given up on migrating to 2.6.26 until vmware-modules fixes hit the tree, since I've wasted so much time getting it to work.  Maybe that's my lack of experience, but at least I'm not alone in thinking this is way more complicated than it ought to be.
Comment 81 Stefan Behte (RETIRED) gentoo-dev Security 2008-08-28 16:42:32 UTC
When will a working ebuild for vmware-server-1.0.6.91891 with kernel-2.6.26 hit the tree? The overlay does not work, vmware-server only wants app-emulation/vmware-modules-1.0.0.15-r1. I already installed app-emulation/vmware-modules-1.0.0.20 and tried --oneshot but that didn't help.
Comment 82 Mike Auty gentoo-dev 2008-08-28 17:07:14 UTC
Probably when vmware release working kernel modules for that kernel and that product.  Given that they're working on vmware-server 2 at the moment, I don't know how long that will be.  I'm sorry I can't give a better answer, but without a reliable source of patches for the vmware kernel modules hacking a half working solution for 2.6.26 isn't going to help in the long term, because 2.6.27 is just around the corner, and that'll break it again.  The best advice for the moment, is stick to 2.6.25, sorry...  5:(
Comment 83 devsk 2008-08-28 20:12:39 UTC
ikelos: Get the vmmon.tar/vmnet.tar and 2.6.26 patches from  http://www.paldo.org/index-section-packages-page-main-releaseid-107725.html

After the untar, apply the patches on vmmon-only/ and vmnet-only/. The resulting thing can be packaged up for vmware-modules-1.0.0.15-r1 to be used. These work flawlessly with vmware-server-1.0.4/5/6.
Comment 84 Mike Auty gentoo-dev 2008-08-28 20:27:12 UTC
Devsk,

Thanks for your suggestion, that's only a solution for vmware-server, it doesn't deal with the other vmware-modules (which are all based on similar sources).

It also leaves us waiting for paldo to fix their sources when 2.6.27 comes out, and until they do we'll have this same bug open with the same complaints but a different name.

All that means, that for the four or five sets of kernel modules I have to look out for, I've got to find and test and package up fixes for each and everyone, only to have them all break again at the next kernel release.  I simply don't have the motivation to do this, only to see it usable for a couple of months.

This is essentially because vmware really, really make it difficult for packagers to maintain their software for them.  The only light on the horizon is that they've relicensed the modules and work is on-going to get them straightened up enough to be included in the kernel by default.  (This doesn't mean it'll be easy packaging vmware, they still use two 10,000 line perl scripts, and their most recent beta is shipped in a .bundle self extracting file rather than an easy to work with .tar.gz).

I'm happy to leave this bug open for other people to post suggestions for adventurous users, but the official line is to stay on a version of the kernel that vmware supports, and if that version is too old then to report it to vmware (who will promptly tell you you're using an unsupported operating system, because technically, you are).

So please, PLEASE, please don't ask when this is going to get fixed, or tell me how urgent it is, all it does it to depress me, and I'm already unhappy enough that I can't get this nicely packaged for everybody...  5:(
Comment 85 Jesse Adelman 2008-08-28 20:36:28 UTC
Re comment #84: I appreciate all the work you and others have done to craft compatible modules and such for 2.6.26+. I just went back to 2.6.25 on the laptop which I use VMWare Workstation, and not worrying about it any more. There's no real crazy-great new features that I need to make use of right now that only exist in more recent kernel revisions.

Again, thanks for your effort, and keep up the good dev work. :)
Comment 86 devsk 2008-08-28 20:43:33 UTC
(In reply to comment #84)
> Devsk,
> 
> Thanks for your suggestion, that's only a solution for vmware-server, it
> doesn't deal with the other vmware-modules (which are all based on similar
> sources).

Do you mean vmware tools? I thought vmware-modules package (version 1.0.0.15-r1) provided modules for vmware-server-1.* The tars that I linked need to be packaged with vmware-modules-1.0.0.15-r1.

I have been using openvm-tools successfully and they compile fine on 2.6.26 kernel. But I don't think people will upgrade their guest kernels that often.
Comment 87 Mike Auty gentoo-dev 2008-08-28 20:55:22 UTC
open-vm-tools are open sourced, and supported by vmware, and their latest version works fine with the latest kernel and the package has already been bumped in the vmware overlay.

I'm talking about the vmware-modules-1.0.0.* that are necessary for vmware-workstation-4, vmware-workstation-5, vmware-player-1 and so on.  They're currently all built from the same sources that the vmware-server modules are built from (generally all -r1 source are built from the vmware-any-any-update* sources).  These sources used to be produced unofficially by a vmware developer (called petr) and distributed through a Czech university server (as best I remember).  A couple of kernel versions ago, they stopped producing updates (and I don't blame them) and that's when all this trouble started.  Myself and the other vmware dev at the time developed a system to automatically build these sources into the various modules, one for each product that needed them.  It was supposed to make bumping the modules quick and easy because the ebuilds were about 2 lines long.

Instead, we're stuck with what we've got now, and I'm looking for a long term solution rather than individual fixes for one kernel and one package.  Sorry for the slight outburst earlier, but I really do despair every time someone writes a "when will this be fixed" message.

Your pointer to the website was actually very useful, and I hope it helps some users with their problems.  Please don't let my negative attitude dissuade you from sending useful information like that, it's very much appreciated...
Comment 88 M. Edward Borasky 2008-08-29 03:15:22 UTC
(In reply to comment #84)
> I'm happy to leave this bug open for other people to post suggestions for
> adventurous users, but the official line is to stay on a version of the kernel
> that vmware supports, and if that version is too old then to report it to
> vmware (who will promptly tell you you're using an unsupported operating
> system, because technically, you are).

Basically, VMware only supports Red Hat Enterprise Linux and a few other distros that have a wide *market*. I don't know if this has changed, but a while back, I was told that the only reason Gentoo supported VMware was that a number of the Gentoo devs on other projects were heavy VMware users and raving fans.

So ... don't hold your breath waiting for VMware to make the same kind of corporate-level contributions to open source that companies like IBM, Red Hat and Oracle do -- it ain't gonna happen.
> 
> So please, PLEASE, please don't ask when this is going to get fixed, or tell me
> how urgent it is, all it does it to depress me, and I'm already unhappy enough
> that I can't get this nicely packaged for everybody...  5:(
> 

Comment 89 Andreas Proteus 2008-08-29 03:33:50 UTC
(In reply to comment #84)
> I'm happy to leave this bug open for other people to post suggestions for
> adventurous users.............


I wish to thank Mike and the others for the valuable information posted here which enabled me to get vmware-workstation working.  I greatly appreciated your good work.  Do not worry if a general solution cannot be found and  cannot be put on the official portage tree or anywhere else.  what is posted here is good enough for me (and for many others - I'm looking at the CC list)

Thanks again.



 

Comment 90 Lance Spaulding 2008-08-30 19:13:33 UTC
I just updated my vmware overlay (layman -S) but I'm still unable to build against 2.6.26.  I get:

var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/linux/dri
ver.c:197: error: unknown field 'nopage' specified in initializer

I'm trying to emerge vmware-modules and vmware-player.  Does the recent patch only work for vmware-server?  
Comment 91 devsk 2008-08-30 19:30:13 UTC
(In reply to comment #90)
> I just updated my vmware overlay (layman -S) but I'm still unable to build
> against 2.6.26.  I get:
> 
> var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/linux/dri
> ver.c:197: error: unknown field 'nopage' specified in initializer
> 
> I'm trying to emerge vmware-modules and vmware-player.  Does the recent patch
> only work for vmware-server?  
> 

Just to put things in order here:

1. if you use vmware-player or vmware-workstation: use vmware-modules-1.0.0.20 from the tar in attachment http://bugs.gentoo.org/attachment.cgi?id=162610

2. if you use vmware-server-1.*: use instructions in comment #83. http://bugs.gentoo.org/show_bug.cgi?id=227303#c83

Both these combos work.

I am not clear on why Mike still doesn't want to do the automation of instructions in #83 in the vmware-modules-1.0.0.15-r1 ebuild. ebuild will stay the same. Its just that vmmon.tar and vmnet.tar need to be repackaged.
Comment 92 Ian Pickworth 2008-08-30 20:12:54 UTC
(In reply to comment #91)
> 2. if you use vmware-server-1.*: use instructions in comment #83.
> http://bugs.gentoo.org/show_bug.cgi?id=227303#c83
> 
> Both these combos work.

Well, not for me :-(.

I have created a local overlay, and created an ebuild based on app-emulation/vmware-modules-1.0.0.15-r1.
I then placed the two patch files in ./files/patches/vmmon and ./files/patches/vmnet
I then modified the ebuild to include this:

src_unpack() {
    vmware-mod_src_unpack
    cd "${S}"
    epatch ${FILESDIR}/patches/vmmon/VMware-server-vmmon-1.0.6-91891-2.6.26-1.patch"
    epatch "${FILESDIR}/patches/vmnet/VMware-server-vmnet-1.0.6-91891-2.6.26-1.patch"
}

Resulting attempt to build fails - because the patch doesn't apply, patch log is:

----------------------------------
patching file vmmon-only/linux/driver.c
Hunk #1 succeeded at 113 with fuzz 1 (offset 15 lines).
Hunk #2 succeeded at 156 (offset 25 lines).
Hunk #3 succeeded at 180 (offset 25 lines).
Hunk #4 succeeded at 1163 (offset 156 lines).
Hunk #5 FAILED at 1183.
Hunk #6 FAILED at 1228.
Hunk #7 FAILED at 1251.
3 out of 7 hunks FAILED -- saving rejects to file vmmon-only/linux/driver.c.rej
-------------------------

So, could you please spell out what you did to the ebuild to make it work - since it looks to me like the patches are for a different source file than that being used in the standard build.

Thanks, Ian

Comment 93 devsk 2008-08-30 20:34:24 UTC
(In reply to comment #92)
> (In reply to comment #91)
> > 2. if you use vmware-server-1.*: use instructions in comment #83.
> > http://bugs.gentoo.org/show_bug.cgi?id=227303#c83
> > 
> > Both these combos work.
> 
> Well, not for me :-(.

That's because you did not follow the instructions in the comment #83....:-)

You need to get the tar AND the patch from that location for BOTH vmmon and vmnet. Untar each locally, apply the respective patch and then build it manually from respective vm*-only directory (make VM_UNAME=2.6.26.3 if you are not booted into 2.6.26.3 while building, otherwise just 'make' will do). Of course, all this can be made automated in the ebuild by bundling patched tars but only Mike can do that.
Comment 94 Ian Pickworth 2008-08-30 20:55:04 UTC
(In reply to comment #93)
> (In reply to comment #92)
> > (In reply to comment #91)
> > > 2. if you use vmware-server-1.*: use instructions in comment #83.
> > > http://bugs.gentoo.org/show_bug.cgi?id=227303#c83
> > > 
> > > Both these combos work.
> > 
> > Well, not for me :-(.
> 
> That's because you did not follow the instructions in the comment #83....:-)
> 
OK, so can you be really (I mean really) specific about what you did. I assumed that you are modifying the existing ebuild to make the patches work.

Whilst you say "follow the instructions", the instructions are not clear, at least to me.

Perhaps a step by step would clear up teh confusion.
Regards, Ian

Comment 95 devsk 2008-08-30 21:09:04 UTC
(In reply to comment #94)
> (In reply to comment #93)
> > (In reply to comment #92)
> > > (In reply to comment #91)
> > > > 2. if you use vmware-server-1.*: use instructions in comment #83.
> > > > http://bugs.gentoo.org/show_bug.cgi?id=227303#c83
> > > > 
> > > > Both these combos work.
> > > 
> > > Well, not for me :-(.
> > 
> > That's because you did not follow the instructions in the comment #83....:-)
> > 
> OK, so can you be really (I mean really) specific about what you did. I assumed
> that you are modifying the existing ebuild to make the patches work.
> 
> Whilst you say "follow the instructions", the instructions are not clear, at
> least to me.
> 
> Perhaps a step by step would clear up teh confusion.
> Regards, Ian
> 

1. mkdir /tmp/vmmon-tar/ && cd /tmp/vmmon-tar/
2. wget http://www.paldo.org/paldo/sources/VMware-server/VMware-server-vmmon-1.0.6-91891.tar.bz2
3. tar xjpf VMware-server-vmmon-1.0.6-91891.tar.bz2
4. wget http://www.paldo.org/paldo/sources/VMware-server/VMware-server-vmmon-1.0.6-91891-2.6.26-1.patch.bz2
5. bunzip2 VMware-server-vmmon-1.0.6-91891-2.6.26-1.patch.bz2
6. patch < VMware-server-vmmon-1.0.6-91891-2.6.26-1.patch
7. if running the kernel for which you want the modules, cd vmmon-only && make
8. if you want module for kernel 2.6.26.3, use 'make VM_UNAME=2.6.26.3' This will be different for your kernel e.g. if you are running gentoo-sources instead of vanilla-sources. Check /lib/modules/ for specific version.
9. mkdir /lib/modules/2.6.26.3/misc. copy vmmon.ko to /lib/modules/2.6.26.3/misc. 
10. depmod -a 2.6.26.3

Tune these steps if needed for your setup.

Repeat all 10 steps for vmnet.
Comment 96 Justin Clift 2008-08-31 06:10:29 UTC
Hi all,

A new release of VMware Player is out (2.0.5), that compiles fine under kernel 2.6.26.

Updated the existing vmware-modules-1.0.0.20 ebuild to use with it, and it all seems good.

Attaching the new ebuild, as vmware-modules-1.0.0.21.ebuild.

Hope that helps. :)
Comment 97 Justin Clift 2008-08-31 06:12:14 UTC
Created attachment 164152 [details]
Updated ebuild, utilising the new VMware Player release (2.0.5).  Builds ok under kernel 2.6.26.
Comment 98 Lance Spaulding 2008-09-03 00:54:05 UTC
(In reply to comment #97)
> Created an attachment (id=164152) [edit]
> Updated ebuild, utilising the new VMware Player release (2.0.5).  Builds ok
> under kernel 2.6.26.

Where is the 2.0.5 ebuild?  I ran both emerge --sync and layman -S but I dont see anything newer than 2.0.4.   I also checked at: http://overlays.gentoo.org/proj/vmware/browser/trunk/app-emulation/vmware-player and I dont see a 2.0.5 ebuild there.

Thanks,
Comment 99 Justin Clift 2008-09-03 11:14:01 UTC
Sorry Lance, bad wording on my part.

I meant the release of VMware Player 2.0.5 by VMware the company, not a release in portage of it (yet).
Comment 100 Billy DeVincentis 2008-09-08 17:11:13 UTC
What I have noticed is that it only fails to build if you are not running the kernel you are building for. Reboot into new kernel and then emerge vmware-modules.
Comment 101 Stefan Behte (RETIRED) gentoo-dev Security 2008-09-20 21:38:59 UTC
(In reply to comment #87)
> open-vm-tools are open sourced, and supported by vmware, and their latest
> version works fine with the latest kernel and the package has already been
> bumped in the vmware overlay.
> 
> I'm talking about the vmware-modules-1.0.0.* that are necessary for
> vmware-workstation-4, vmware-workstation-5, vmware-player-1 and so on.  They're
> currently all built from the same sources that the vmware-server modules are
> built from (generally all -r1 source are built from the vmware-any-any-update*
> sources).  These sources used to be produced unofficially by a vmware developer
> (called petr) and distributed through a Czech university server (as best I
> remember).  A couple of kernel versions ago, they stopped producing updates
> (and I don't blame them) and that's when all this trouble started.  Myself and
> the other vmware dev at the time developed a system to automatically build
> these sources into the various modules, one for each product that needed them. 
> It was supposed to make bumping the modules quick and easy because the ebuilds
> were about 2 lines long.
> 
> Instead, we're stuck with what we've got now, and I'm looking for a long term
> solution rather than individual fixes for one kernel and one package.  Sorry
> for the slight outburst earlier, but I really do despair every time someone
> writes a "when will this be fixed" message.
> 
> Your pointer to the website was actually very useful, and I hope it helps some
> users with their problems.  Please don't let my negative attitude dissuade you
> from sending useful information like that, it's very much appreciated...
> 

That's just the explanation I had hoped for, even if it's not-so-good information.
Comment 102 Sunit Das 2008-09-24 01:05:16 UTC
So, I've basically spent my entire afternoon and evening on this... :-(
Personally, I needed both kernel 2.6.26 (fixes for a particularly nasty bug I've been suffering with for a long time) *and* a working VMWare. At work I write firmware for an embedded device, but it interacts with a windows GUI app that I absolutely require to generate wireshark traffic for analysis. Anywho... I've got work to get done, and no spare windows box with all the instrumentation present in my vmware image (this virtualbox thing has me intrigued though!!).

Ok, devsk, I did your procedure... there is a problem with your patch step, though. It wants to patch 'vmmon-only.orig', so we need '-p0'. For copy/pasters:

6. patch -p0 < VMware-server-vmmon-1.0.6-91891-2.6.26-1.patch

So, that step-by-step essentially works. I installed & learned the layman along my journey and got those overlays (which didn't seem to do anything for me on kernel 2.6.26, or perhaps I'm too stupid!!).

Then, I did a:

emerge -vaO vmware-server

... which I NEVER want to do again.

It finished, and after `vmware-config.pl', I was able to fire up the client app, and my VM works.

Bah. This sucks. I should be happier, but that was terribly gross...

I haven't the foggiest how I'm going to get myself out of this mess when it comes time to update ANYTHING from the main portage tree.
Comment 103 ta2002 2008-09-26 01:48:59 UTC
(In reply to comment #29)
> Throw away, 2.6.25 with modules 1.0.0.15-r1 should be working fine.  You might
> have run into bug 231356 instead.  Please check that bug and see if it's your
> problem, otherwise please provide some more information here (like, at least
> the error message you're getting).  Thanks...

Not working at all (still :( ) with the STABLE vmware-workstation (5.5.7.91707) and the STABLE kernel (2.6.25-gentoo-r7). I get the same error as above.

uname -r
2.6.25-gentoo-r7

grep UNUSED /usr/src/linux-2.6.25-gentoo-r7/.config
CONFIG_UNUSED_SYMBOLS=y

 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found kernel object directory:
 *     /lib/modules/2.6.25-gentoo-r7/build
 * Found sources for kernel version:
 *     2.6.25-gentoo-r7
>>> Unpacking source...
>>> Unpacking vmware-any-any-update115.tar.gz to /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work
>>> Unpacking ./vmware-any-any-update115/vmmon.tar to /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work
 * Applying various patches (bugfixes/updates) ...
 *   000_all_makefile-include-directory.patch ...                                                                      [ ok ]
 *   020_all_epoll-def-warnings.patch ...                                                                              [ ok ]
 * Done with patching
 * Applying various patches (bugfixes/updates) ...
 *   030_all_fix-linux-headers.patch ...                                                                               [ ok ]
 *   035_all_kernel-2.6.25.patch ...                                                                                   [ ok ]
 * Done with patching
 * Converting vmmon-only/Makefile to use M= instead of SUBDIRS= ...                                                    [ ok ]
>>> Unpacking ./vmware-any-any-update115/vmnet.tar to /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work
 * Applying various patches (bugfixes/updates) ...
 *   000_all_makefile-include-directory.patch ...                                                                      [ ok ]
 *   020_all_epoll-def-warnings.patch ...                                                                              [ ok ]
 * Done with patching
 * Applying various patches (bugfixes/updates) ...
 *   021_all_wireless_fix.patch ...                                                                                    [ ok ]
 *   025_all_kernel-2.6.25.patch ...                                                                                   [ ok ]
 * Done with patching
 * Converting vmnet-only/Makefile to use M= instead of SUBDIRS= ...                                                    [ ok ]
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work ...
 * Preparing vmmon module
Using 2.6.x kernel build system.
make -C /usr/src/linux/include/.. M=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-2.6.25-gentoo-r7'
make[1]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
  CC [M]  /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.o
In file included from /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/./include/vmci_kernel_defs.h:26,
                 from /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/./common/vmciContext.h:19,
                 from /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.h:21,
                 from /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.c:53:
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/./include/compat_wait.h:60: error: conflicting types for ‘poll_initwait’
include/linux/poll.h:65: error: previous declaration of ‘poll_initwait’ was here
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.c:172: warning: initialization from incompatible pointer type
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.c:176: warning: initialization from incompatible pointer type
make[3]: *** [/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.o] Error 1
make[2]: *** [_module_/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only] Error 2
make[1]: *** [sub-make] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.25-gentoo-r7'
make: *** [vmmon.ko] Error 2
 *
 * ERROR: app-emulation/vmware-modules-1.0.0.15-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3218:  Called linux-mod_src_compile
 *             environment, line 2437:  Called die
 * The specific snippet of code:
 *               eval "emake HOSTCC=\"$(tc-getBUILD_CC)\"                                               CC=\"$(get-KERNEL_CC)\"                                              LDFLAGS=\"$(get_abi_LDFLAGS)\"                                          ${BUILD_FIXES}                                               ${BUILD_PARAMS}                                                 ${BUILD_TARGETS} " || die "Unable to emake HOSTCC="$(tc-getBUILD_CC)" CC="$(get-KERNEL_CC)" LDFLAGS="$(get_abi_LDFLAGS)" ${BUILD_FIXES} ${BUILD_PARAMS} ${BUILD_TARGETS}";
 *  The die message:
 *   Unable to emake HOSTCC=i686-pc-linux-gnu-gcc CC=i686-pc-linux-gnu-gcc LDFLAGS=   auto-build VMWARE_VER=VME_S1B1 KERNEL_DIR=/usr/src/linux KBUILD_OUTPUT=/lib/modules/2.6.25-gentoo-r7/build
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/log/portage/app-emulation:vmware-modules-1.0.0.15-r1:20080925-044423.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/temp/environment'.


Portage 2.1.4.4 (default-linux/x86/2007.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25-gentoo-r7 i686)
=================================================================
System uname: 2.6.25-gentoo-r7 i686 Intel(R) Pentium(R) 4 CPU 3.00GHz
Timestamp of tree: Thu, 25 Sep 2008 12:39:13 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.4.4-r13, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium4 -O2 -pipe -fomit-frame-pointer -mfpmath=sse"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=pentium4 -O2 -pipe -fomit-frame-pointer -mfpmath=sse"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FEATURES="distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acpi alsa arts audiofile berkdb bitmap-fonts bzip2 cairo caps cdparanoia cdr cjk cpudetection cracklib crypt css cups dbus dga directfb dri dvd dvdr dvdread encode exif expat fam fbcon ffmpeg flac fortran gcj ggi gif glibc-omitfp gmp gphoto2 gpm gstreamer hal iconv idea imagemagick imap imlib ipv6 javascript jbig joystick jpeg kde lcms libcaca libwww live lm_sensors mad matroska mbox memlimit midi mmx mmxext mng mp3 mpeg mudflap mysql nas ncurses network nls no-old-linux nodrm nptl nptlonly ogg opengl openmp oscar pcre pdf perl png qt3 quicktime readline real rtc samba scanner sdl sensord silc smtp sndfile speex spell sse sse2 ssl stream svg sysfs tcpd theora threads threadsafe tiff timidity truetype truetype-fonts type1-fonts unicode usb userlocales utf8 vcd vorbis wideband win32codecs x86 xinerama xml xorg xv xvid yahoo zlib zrtp" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LINGUAS="en ru" USERLAND="GNU" VIDEO_CARDS="radeon"
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 104 Mike Auty gentoo-dev 2008-09-26 08:41:34 UTC
Throw away, please try compiling it again without "-mfpmath=sse" in your CFLAGS/CXXFLAGS.  Let me know if that solves the problem or not...
Comment 105 ta2002 2008-09-26 10:20:27 UTC
(In reply to comment #104)
> Throw away, please try compiling it again without "-mfpmath=sse" in your
> CFLAGS/CXXFLAGS.  Let me know if that solves the problem or not...

It worked! Thank you VERY much!

It always compiled before, so I didn't know that it would cause a problem.

Does some way exist to filter that flag out for vmware-modules (in one of the /etc/portage files) or will the ebuild get modified to do it or will a later version of the vmware-modules eventually work with it?

Thank you again.
Comment 106 Mike Auty gentoo-dev 2008-09-30 20:43:45 UTC
Quick update, vmware-workstation-6.0.5, vmware-player-2.0.5 should work fine with 2.6.26 and they're now in the tree...
Comment 107 Patrizio Bassi 2008-09-30 20:50:29 UTC
they do !

for me it's closed :)
Comment 108 Andreas Proteus 2008-10-01 11:19:48 UTC
(In reply to comment #106)
Excellent work. 
Thanks.
Comment 109 Stefan Behte (RETIRED) gentoo-dev Security 2008-10-01 12:49:55 UTC
FYI: app-emulation/vmware-modules-1.0.0.22 work fine here (2.6.26-r1), but whenever I try to install vmware-server, it tries to download the 1.0.0.15-r1 modules. :/
Even this won't help, 1.0.0.15-r1 will fail to merge:
emerge '=app-emulation/vmware-server-1.0.7.108231'
Comment 110 Joshua Doll 2008-10-01 17:53:33 UTC
Works for me.
Comment 111 Jason Cornez 2008-10-16 13:50:16 UTC
I've followed this issue for some time now.  I'd just like to confirm that it is not possible to compile vmware-modules-1.0.0.15-r1 (as required by vmware-workstation-5.5.7.91707, for which I have a license) using any kernel later than 2.6.25.  That is, it will fail on 2.6.26 and now also on 2.6.27.

I'd like very much for this to be incorrect, but I've tried many of the suggestions here and never gotten this to work.  I do have vmware-modules working on 2.6.25 kernels, but nothing later.  If someone knows a solution, it'd be most appreciated.  Otherwise, I've read enough here to expect that this is not likely to get much attention as vmware themselves no longer have a developer to support this, or so I have inferred from comment #87.

Thanks,
-Jason
Comment 112 Matthew Dornquast 2008-10-20 04:50:37 UTC
Agreed.  There does not appear to be any easy way.  I've read through the thread several times.  I've even gone to learning layman and trying that - doesn't work.

So then I followed instructions above (updated and below) and got as far as having two modules.  But how does this help me satisfy the dependency on app-emulation/vmware-modules-1.0.0.15-r1 ?  I'm missing something.  Here is where I'm at:

mkdir /lib/modules/2.6.26.5/misc

Compiling vmmon for 2.6.25.5
1. mkdir /tmp/vmmon-tar/ && cd /tmp/vmmon-tar/
2. wget http://www.paldo.org/paldo/sources/VMware-server/VMware-server-vmmon-1.0.6-91891.tar.bz2
3. tar xjpf VMware-server-vmmon-1.0.6-91891.tar.bz2
4. wget http://www.paldo.org/paldo/sources/VMware-server/VMware-server-vmmon-1.0.6-91891-2.6.27-1.patch.bz2
5. bunzip2 VMware-server-vmmon-1.0.6-91891-2.6.27-1.patch.bz2 
6. patch -p0 < VMware-server-vmmon-1.0.6-91891-2.6.27-1.patch
7. cd vmmon-only && make
8. cp vmmon.ko /lib/modules/2.6.26.5/misc

Compiling vmnet for 2.6.25.5
1. mkdir /tmp/vmnet-tar/ && cd /tmp/vmnet-tar/
2. wget http://www.paldo.org/paldo/sources/VMware-server/VMware-server-vmnet-1.0.6-91891.tar.bz2
3. tar xjpf VMware-server-vmnet-1.0.6-91891.tar.bz2
4. wget http://www.paldo.org/paldo/sources/VMware-server/VMware-server-vmnet-1.0.6-91891-2.6.27-1.patch.bz2
5. bunzip2 VMware-server-vmnet-1.0.6-91891-2.6.27-1.patch.bz2
6. patch -p0 < VMware-server-vmnet-1.0.6-91891-2.6.27-1.patch
7. cd vmnet-only && make
8. cp vmnet.ko /lib/modules/2.6.26.5/misc

depmod -a 2.6.26.5

Comment 113 Takano Akio 2008-10-22 18:44:08 UTC
Created attachment 169466 [details]
quick ebuild modification to use paldo's patches

> But how does this help me satisfy the dependency on
> app-emulation/vmware-modules-1.0.0.15-r1 ?

I don't know either. Instead I tried to modify the ebuild so that it will use
the patches, and now it looks working. I attach the ebuild here.

To use the ebuild, you need to place the following 4 files in the files directory:
http://www.paldo.org/paldo/sources/VMware-server/VMware-server-vmmon-1.0.6-91891.tar.bz2
http://www.paldo.org/paldo/sources/VMware-server/VMware-server-vmmon-1.0.6-91891-2.6.27-1.patch.bz2
http://www.paldo.org/paldo/sources/VMware-server/VMware-server-vmnet-1.0.6-91891.tar.bz2
http://www.paldo.org/paldo/sources/VMware-server/VMware-server-vmnet-1.0.6-91891-2.6.27-1.patch.bz2
Comment 114 Jason Cornez 2008-10-23 09:20:41 UTC
(In reply to comment #113)

A huge thank you to the many folks who have contributed to this thread.  I have vmware-workstation-5.5.7.91707 with vmware-modules-1.0.0.15-r1 working under kernel 2.6.27.

1. Create an overlay for vmware-modules.
   cp -r /usr/portage/app-emulation/vmware-modules /usr/local/portage/app-emulation
2. Replace the vmware-modules-1.0.0.15-r1 with the one attached in this issue
3. wget the files listed above into the files directoru
4. ebuild vmware-modules-1.0.0.15-r1 digest
5. emerge vmware-modules

And this succeeds.  Now I did have some trouble actually starting vmware...

6. /opt/vmware/workstation/bin/vmware-config.pl

This complained about starting some of the services.  So I manually did the following

7. modprobe vmmon && modprobe vmnet

This succeeded.

8. /etc/init.d/vmware start

Initially this will fail, but the trick is to remove not_configured

9. rm /etc/vmware/not_configured && /etc/init.d/vmware start

Now it is working.  Hurray.

Maybe we could get a masked vmware-modules-1.0.0.15-r2 into portage that at least helps a bit?

Thanks!
Comment 115 Jason Cornez 2008-10-23 10:23:52 UTC
(In reply to comment #114)

Seems a short-lived victory.  Even though I was able to actually run a Windows
VM inside vmware-workstation on 2.6.27 for a short while, it crashed hard and
in general the VMs just cause workstation to freeze for a while and then
continue by killing the VM.  So it runs fine, until I try to start a VM within
it.  Not quite what I was hoping for.
Comment 116 Jason Cornez 2008-10-24 13:09:52 UTC
Has anyone here seen this
http://www.insecure.ws/2008/10/20/vmware-specific-specific-55x-and-kernel-2627

Any notes on how to use this with gentoo?
Comment 117 Mike Auty gentoo-dev 2008-10-25 12:14:25 UTC
*** Bug 243846 has been marked as a duplicate of this bug. ***
Comment 118 Daniel Drake (RETIRED) gentoo-dev 2008-10-28 23:08:19 UTC
eek, long bug!
Just a friendly warning that gentoo-sources-2.6.26 will go stable a week from now. Would be great to see this fixed in the stable tree.
Comment 119 M. Edward Borasky 2008-10-29 01:27:42 UTC
Speaking of VMware, it looks like Workstation 6.5 was "released" on October 15th. Does anybody know which kernels the stock 6.5 from the VMware site works with? I'm running 2.6.27 at the moment, but I would be OK with 2.6.26 if Workstation 6.5 ran on it, either out of the tree or from the VMware site.
Comment 120 Mike Auty gentoo-dev 2008-10-29 01:32:55 UTC
Edward, you're after bug 232230.  Workstation 6.5/Server 2.0 (final) work fine with 2.6.27 (that's vmware-modules-1.0.0.23 from the overlay), and so I'm assuming similarly with 2.6.26.
Comment 121 Paulo J. Matos 2008-10-29 11:05:54 UTC
Guess that means this bug can be closed?
Comment 122 Pawel Madej aka Nysander 2008-10-29 11:09:32 UTC
i suppose that this bug should NOT be closed until proper vmware-modules hit the tree. there are people which don't use / don't want to use overlays, but only official gentoo tree.
Comment 123 Jason Cornez 2008-10-29 11:18:09 UTC
This bug seems to be about many things since it explicitly is titled with "all versions", which might be less than ideal.  Anyway, the official unmasked version of vmware-workstation in portage is 5.5.7.91707, which requires vmware-modules-1.0.0.15-r1.  With what exists in portage, it isn't possible to get this to build on recent kernels.

However, not using portage, but manually installing this version of vmware-workstation and applying the patch found at

 http://www.insecure.ws/2008/10/20/vmware-specific-specific-55x-and-kernel-2627

I have been able to get vmware working perfectly on my 2.6.27 kernel.  If someone knows how to convert this patch into an ebuild for something like vmware-modules-1.0.0.15-r2 (or whatever), and that makes it into portage, then another step towards closing this bug can be taken.
Comment 124 Charlie Brackett 2008-10-29 19:42:37 UTC
Adrian Bunk has stated he will maintain 2.6.27 long term (http://lkml.org/lkml/2008/10/11/235), so how about getting vmware-modules working in 2.6.26 and 2.6.27 (using whatever third party patches are necessary), then simply stop supporting it.

This will give people who need these vmware releases a kernel that will be maintained upstream for at least a couple years.

People who absolutely need a newer kernel and need to stay with these vmware releases will be on their own, but how is that different than it is now?
Comment 125 Miroslaw Mieszczak 2008-10-30 06:58:12 UTC
There is a bug in modules 1.0.0.23 from overlay.
Regardles of fact, that ebuild is searching for actual kernel sources in /usr/src/linux, the modules are build against actually running kernel. So in case if sources of actually running kernel cannot be found, the modules can't be built.

It seems that it is completely different as building for example nvidia-drivers that are built against expected /usr/src/linux.
Comment 126 michael@smith-li.com 2008-11-24 14:46:53 UTC
*** Bug 248447 has been marked as a duplicate of this bug. ***
Comment 127 Vladimir Kulev 2008-11-25 13:36:40 UTC
Hey guys, people on VMware forum report that a patch (http://communities.vmware.com/servlet/JiveServlet/download/1055241-13846/vmware-1.0.7-kernel-2.6.26-compatibility.patch) is simply working on 2.6.26 for them.

See here: http://communities.vmware.com/message/1055914
Comment 128 pavelo 2008-11-26 18:53:44 UTC
(In reply to comment #114)
> 1. Create an overlay for vmware-modules.
>    cp -r /usr/portage/app-emulation/vmware-modules
> /usr/local/portage/app-emulation
> 2. Replace the vmware-modules-1.0.0.15-r1 with the one attached in this issue
> 3. wget the files listed above into the files directoru
> 4. ebuild vmware-modules-1.0.0.15-r1 digest
> 5. emerge vmware-modules
> 
> And this succeeds.  Now I did have some trouble actually starting vmware...
> 
> 6. /opt/vmware/workstation/bin/vmware-config.pl
> 
> This complained about starting some of the services.  So I manually did the
> following
> 
> 7. modprobe vmmon && modprobe vmnet
> 
> This succeeded.
> 
> 8. /etc/init.d/vmware start
> 
> Initially this will fail, but the trick is to remove not_configured
> 
> 9. rm /etc/vmware/not_configured && /etc/init.d/vmware start
> 
> Now it is working.  Hurray.
> 
> Maybe we could get a masked vmware-modules-1.0.0.15-r2 into portage that at
> least helps a bit?
> 
> Thanks!
> 

just wanted to confirm this works(*) with =app-emulation/vmware-server-1.0.6.91891 and =sys-kernel/gentoo-sources-2.6.26-r3
didn't even need the steps 7-9, vmware-config did the trick
thanks for the all the helpful information

* well, seems to work... i didn't test it extensively, but it started the virtual machine and it appeared to work ok
Comment 129 Axel Dyks 2008-11-28 16:38:44 UTC
(In reply to comment #118)
> eek, long bug!
> Just a friendly warning that gentoo-sources-2.6.26 will go stable a week from
> now. Would be great to see this fixed in the stable tree.
> 

Yepp. It's long and confusing, because discussion is not only about the
reported problem which is "vmware-modules for vmware-server on 2.6.26"
and NOT vmware-workstation or kernel 2.6.27 ...

Now that gentoo-sources-2.6.26 have gone stable a LOT of gentoo users
- namely all that use vmware-server - are in deep trouble. 
They will search gentoo bugzilla find this bug report and will get
as confused as I am right now.

Users might try out the various posted suggestions and patches
of which MANY do NOT apply to the original problem!

So it would help greatly, if the "vmware-modules" maintainer
would either provide an updated ebuild (vmware-modules-1.0.0.15-r2)
or state which of the suggestions/patches actually solves the
problem.

Thanks
Axel 
Comment 130 Axel Dyks 2008-11-28 18:16:45 UTC
(In reply to comment #113)
> Created an attachment (id=169466) [edit]
> quick ebuild modification to use paldo's patches
> 
> > But how does this help me satisfy the dependency on
> > app-emulation/vmware-modules-1.0.0.15-r1 ?
> 
> I don't know either. Instead I tried to modify the ebuild so that it will use
> the patches, and now it looks working. I attach the ebuild here.
> 
> To use the ebuild, you need to place the following 4 files in the files
> directory:
> http://www.paldo.org/paldo/sources/VMware-server/VMware-server-vmmon-1.0.6-91891.tar.bz2
> http://www.paldo.org/paldo/sources/VMware-server/VMware-server-vmmon-1.0.6-91891-2.6.27-1.patch.bz2
> http://www.paldo.org/paldo/sources/VMware-server/VMware-server-vmnet-1.0.6-91891.tar.bz2
> http://www.paldo.org/paldo/sources/VMware-server/VMware-server-vmnet-1.0.6-91891-2.6.27-1.patch.bz2
> 

OK!

 * vmware-modules-1.0.0.15-r1 successfully build on 2.6-26-gentoo-r3
   using your ebuild.

 * so far my gentoo linux guest is running fine on vmware-server-1.0.6.91891

I'll try a windows guest soon. Hope that it will work, too.

Thanks
Axel
Comment 131 Arvid Norlander 2008-11-29 16:11:02 UTC
So does this mean that we vmware-server users need to downgrade to 2.6.25? I need vmware-server. The bug is too long and confusing so I can't find the relevant patches in this mess.
Comment 132 Matthew Smith 2008-11-29 17:04:36 UTC
(In reply to comment #130)
> (In reply to comment #113)
> > Created an attachment (id=169466) [edit]
> > quick ebuild modification to use paldo's patches
> > 
> > > But how does this help me satisfy the dependency on
> > > app-emulation/vmware-modules-1.0.0.15-r1 ?
> > 
> > I don't know either. Instead I tried to modify the ebuild so that it will use
> > the patches, and now it looks working. I attach the ebuild here.
> > 
> > To use the ebuild, you need to place the following 4 files in the files
> > directory:
> > http://www.paldo.org/paldo/sources/VMware-server/VMware-server-vmmon-1.0.6-91891.tar.bz2
> > http://www.paldo.org/paldo/sources/VMware-server/VMware-server-vmmon-1.0.6-91891-2.6.27-1.patch.bz2
> > http://www.paldo.org/paldo/sources/VMware-server/VMware-server-vmnet-1.0.6-91891.tar.bz2
> > http://www.paldo.org/paldo/sources/VMware-server/VMware-server-vmnet-1.0.6-91891-2.6.27-1.patch.bz2
> > 
> 
> OK!
> 
>  * vmware-modules-1.0.0.15-r1 successfully build on 2.6-26-gentoo-r3
>    using your ebuild.
> 
>  * so far my gentoo linux guest is running fine on vmware-server-1.0.6.91891
> 
> I'll try a windows guest soon. Hope that it will work, too.
> 
> Thanks
> Axel
> 

My windows guest in vmware-workstation-5.5.7.91707 (using the same version of vmware-modules) seems to be working just fine with this ebuild and patchset.
Comment 133 Axel Dyks 2008-12-02 03:36:10 UTC
(In reply to comment #131)
> So does this mean that we vmware-server users need to downgrade to 2.6.25? I
> need vmware-server. The bug is too long and confusing so I can't find the
> relevant patches in this mess.

Jepp. It's VERY confusing.
But as long as you are -- as me -- focusing on vmware-sever-1.x,
my comments might be helpful.

Try "Takano's" ebuild using those 4 files from "paldo".

Works for me on 2.6.26-gentoo-r3 and stable vmware-server-1.x.

BTW: Works for linux as well as for windows (XP SP3) guest.
 
Axel

Comment 134 Rodrigo Severo 2008-12-10 17:17:16 UTC
(In reply to comment #133)
> Try "Takano's" ebuild using those 4 files from "paldo".
> 
> Works for me on 2.6.26-gentoo-r3 and stable vmware-server-1.x.

Just tried on gentoo-sources-2.6.26-r4. Got the following error:

include/asm/smp.h:183:28: error: mach_apicdef.h: No such file or directory
In file included from include/linux/smp.h:19,
                 from include/linux/topology.h:33,
                 from include/linux/mmzone.h:683,
                 from include/linux/gfp.h:4,
                 from include/linux/slab.h:12,
                 from include/linux/percpu.h:5,
                 from include/asm/local.h:4,
                 from include/linux/module.h:19,
                 from /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r2/work/vmmon-only/linux/driver.c:12:
include/asm/smp.h: In function 'hard_smp_processor_id':
include/asm/smp.h:187: error: implicit declaration of function 'GET_APIC_ID'
distcc[14136] ERROR: compile /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r2/work/vmmon-only/linux/driver.c on localhost failed
make[3]: *** [/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r2/work/vmmon-only/linux/driver.o] Error 1
make[2]: *** [_module_/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r2/work/vmmon-only] Error 2
make[1]: *** [sub-make] Error 2


Comment 135 Panagiotis Christopoulos (RETIRED) gentoo-dev 2008-12-14 17:47:48 UTC
*** Bug 250637 has been marked as a duplicate of this bug. ***
Comment 136 Walid Moghrabi 2008-12-18 13:25:37 UTC
Very annoying, my server is used as a virtualization server and I'm stuck to kernel 2.6.25 because I can't compile vmware-modules stable branch (1.0.0.15-r1) under kernel 2.6.26.
It seems vmware-modules-1.0.0.23 compiles well under 2.6.26+ but they don't work (don't understand why) with neither vmware-server-1.0.6.91891 nor vmware-server-1.0.8.126538.
It seems we're not far but why can't there be an update to vmware-server 1.0.8 with latest kernel and modules ? 
I'm personnaly using 2008.0 profile, not 2007.0 but it seems there's no difference from that point.
Comment 137 Walid Moghrabi 2008-12-18 13:29:47 UTC
Ooops, I forgot my emerger --info, here it is :

Portage 2.1.4.5 (default/linux/x86/2008.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25-gentoo-r9 i686)
=================================================================
System uname: 2.6.25-gentoo-r9 i686 AMD Athlon(tm) X2 Dual Core Processor BE-2300
Timestamp of tree: Thu, 18 Dec 2008 12:32:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7-r1, 2.1.6-r1
dev-lang/python:     2.4.4-r13, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.61-r2
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon64 -msse3 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=athlon64 -msse3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.free.fr/mirrors/ftp.gentoo.org/"
LANG="fr_FR.UTF-8"
LC_ALL="fr_FR.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="fr"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="   "
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="acl apache2 bash-completion bzip2 cli cracklib crypt cups dri fortran gdbm gif glibc-omitfp gpm iconv isdnlog ithreads jbig jpeg jpeg2k ldap logrotate midi mmx mudflap mysql ncurses nfs nls nptl nptlonly openmp pam pcre perl png pppd python readline reflection samba session spl sse sse2 sse3 ssl sysfs tcpd threads tiff unicode utf8 x86 xorg zip zlib" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LINGUAS="fr" USERLAND="GNU"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 138 Axel Dyks 2008-12-18 14:38:12 UTC
(In reply to comment #136)
> Very annoying, my server is used as a virtualization server and I'm stuck to
> kernel 2.6.25 because I can't compile vmware-modules stable branch
> (1.0.0.15-r1) under kernel 2.6.26.
> It seems vmware-modules-1.0.0.23 compiles well under 2.6.26+ but they don't
> work (don't understand why) with neither vmware-server-1.0.6.91891 nor
> vmware-server-1.0.8.126538.
Those vmware-module version numbers correspond to specific vmware products / versions, i. e. a higher (different) version number does not simply indicate
that's just a newer version of the modules.

It means that it's for a DIFFERNT vmware product. The only vmware-module 
ebuilds that are compatible with vmware server 1.X are those 1.0.0.15*.  
 
Comment 139 Stefano 2008-12-20 16:28:55 UTC
Just FYI, this fails under 2.6.27-gentoo-r6 as well... (and before someone shoots at me because this is a ~x86 kernel, there are specific hardware reasons for me to use this ahead of "stable" time).
Comment 140 Axel Dyks 2008-12-23 22:22:46 UTC
FYI. I've just upgraded to gentoo-sources-2.6.27-r7 and the ebuild
attached to comment #113 still works for me (vmware-server 1.x on x86).

--> the "quick ebuild modification to use paldo's patches" from
 Takano Akio is what I'm referring to.
Comment 141 Stefan G. Weichinger 2008-12-27 14:57:29 UTC
(In reply to comment #113)
> Created an attachment (id=169466) [edit]
> quick ebuild modification to use paldo's patches

Works here with sys-kernel/tuxonice-sources-2.6.26, app-emulation/vmware-server-1.0.8.126538. Thanks, Stefan
Comment 142 Ron Gemeinhardt (RETIRED) gentoo-dev 2008-12-28 04:30:59 UTC
(In reply to comment #131)
> So does this mean that we vmware-server users need to downgrade to 2.6.25? I
> need vmware-server. The bug is too long and confusing so I can't find the
> relevant patches in this mess.

To ease that pain I've created an *unofficial* vmware-modules-1.0.0.15-r2 ebuild. It's posted here, with instructions:

http://dev.gentoo.org/~timebandit/vmware-server-modules-update/

It is difficult to extract the relevant bits among all the information here, so I assembled this spare others the trouble.  Hope it helps.

(Disclaimer:  although derived from material posted here, this is *unofficial*--please don't spam this bug about it.  There's a forum thread linked from my instructions.)
Comment 143 Tim Yamin 2008-12-29 22:35:54 UTC
(In reply to comment #142)
> It is difficult to extract the relevant bits among all the information here, so
> I assembled this spare others the trouble.  Hope it helps.

Thanks for this. Even with these patches, I was still having some problems with vmmon crashing out when running VMware Server on a vanilla 2.6.28 kernel; I'll attach an additional patch which fixes the problems for me on 2.6.28 -- patch needs to be applied on top of the current patches (i.e. what's in vmware-server-modules-update/vmware-modules-1.0.0.15-r2.tbz2).
Comment 144 Tim Yamin 2008-12-29 22:36:37 UTC
Created attachment 176801 [details, diff]
Additional patch for 2.6.28
Comment 145 thomas 2008-12-29 23:28:24 UTC
I can also confirm that the ebuild from comment #113 works together with vmware-server-1.0.8.126538 on 2.6.27-r7.

However, it does not work together with vmware-workstation-5.5.7.91707 on 2.6.27-r7 (init-script won't start).

Also, vmware-modules-1.0.0.23 together with vmware-server-2.0.0.122956 does not work on 2.6.27-r7 (init-script won't start).
Comment 146 Sander Siemonsma 2008-12-30 14:34:05 UTC
Reply on #145:
>Also, vmware-modules-1.0.0.23 together with vmware-server-2.0.0.122956 does not
>work on 2.6.27-r7 (init-script won't start).

If you load vmnet, vsock, vmci and vmmon modules manually you can start the vmware-server with the vmware-config.pl command. The init-script indeed does not work.
Comment 147 Mike Auty gentoo-dev 2009-01-03 19:05:01 UTC
*** Bug 253215 has been marked as a duplicate of this bug. ***
Comment 148 alex 2009-01-05 20:41:03 UTC
Guys, do you all have this patched version working flawlessly?
When launching a second virtual machine, I always experience a crash, the log attached under vmware-crash.log. Today it crashed with a single vm that tried to perform some heavy disc i/o.

---
# emerge --info
Portage 2.1.6.4 (default/linux/amd64/2008.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.27-gentoo-r7 x86_64)
=================================================================
System uname: Linux-2.6.27-gentoo-r7-x86_64-AMD_Athlon-tm-_Dual_Core_Processor_4850e-with-glibc2.2.5
Timestamp of tree: Mon, 05 Jan 2009 03:20:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.6-r1
dev-lang/python:     2.5.2-r7
dev-util/cmake:      2.6.2
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.3.0-r1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -msse3 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/xbmc/userdata /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -msse3 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache collision-protect distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distro.ibiblio.org/pub/linux/distributions/gentoo/ "
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/voip /usr/portage/local/custom"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow acl acpi amd64 bash-completion berkdb bzip2 cli cracklib crypt cups dri fortran gdbm gpm iconv isdnlog midi mmx mudflap multilib ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection session spl sse sse2 ssl sysfs syslog tcpd threads unicode usb vim-syntax xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="iec958 linear adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks ioplug ladspa lfloat meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias proxy proxy_http proxy_connect" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIRC_DEVICES="igorplugusb" USERLAND="GNU" VIDEO_CARDS="fglrx radeonhd"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 150 Mike Auty gentoo-dev 2009-01-05 20:51:11 UTC
That looks to be the NULL pointer issue that Tim Yamin reported (and offered a patch for) in comment 143.

Thanks mostly to Tim, I've frankenstein-ed together a patch for vmware-any-any-update115 (from the patches here, and those on insecure.ws) that should work on all the kernels up to and including 2.6.28.  However, it hasn't been thoroughly tested and therefore isn't for the faint of heart.  It may drive over your house, burn down your wife, and run away with your dog.  If you're not willing to help debug problems with it, you definitely won't get any support.  It's currently available in the vmware overlay as vmware-modules-1.0.0.15-r2.ebuild.

Please, *PLEASE*, if it doesn't work, one person say so, and everybody else keep quiet and agree with them in silence, I really don't want this bug getting even bigger with "me too's".  Good luck, and let's hope this works and we never have to patch vmware-modules again...
Comment 151 alex 2009-01-05 21:35:40 UTC
Well, thanks, Mike.

The good news:
vmware-modules-1.0.0.15-r2 compiles with vmware-server-1.0.6.91891 (and vmware-server-1.0.8.126538 as well) and the virtual machine boots.
The bad news:
vmware console is no longer able to connect (it freezes).
--
# tail -f /var/log/messages
Jan  5 21:30:58 s xinetd[15903]: START: vmware-authd pid=16460 from=10.1.1.5
Jan  5 21:30:58 s xinetd[16460]: FAIL: vmware-authd address from=10.1.1.5
Jan  5 21:30:58 s xinetd[15903]: EXIT: vmware-authd status=0 pid=16460 duration=0(sec)
--
Comment 152 Mike Auty gentoo-dev 2009-01-05 21:38:12 UTC
Alex, that doesn't sound like it's related to vmware-modules at all.  Please double check the only_from lines in your /etc/xinetd.conf and /etc/xinetd.d/* files...
Comment 153 alex 2009-01-05 21:54:02 UTC
Oh, for sure, Mike, this rather sounds like 'stupid me'. Fixed in /etc/xinetd.conf.
I'll try to test with 1.0.8 build-126538 as extensively as I can.
Comment 154 Mike Nerone 2009-01-05 23:18:09 UTC
Is vmware-modules-1.0.0.15-r2 from the vmware overlay able to be used with vmware-server-1.0.6.91891 from the main tree? I've tried doing so (re-merged vmware-server after vmware-modules just in case). Everything *appears* to build fine, but when I attempt to power on a VM from the remote console, I get a message saying, "VMware Server is installed, but it has not been (correctly) configured for your running kernel", and that I should run vmware-config.pl, which I've already done.
Comment 155 Mike Auty gentoo-dev 2009-01-05 23:24:21 UTC
Yes, it should be fine.  If you're *absolutely certain* that you've run vmware-config.pl and that it's completely in error in telling you that it hasn't been configured properly, you can remove the file /etc/vmware/not_configured.  That should allow you to at least try and start the service.  If the services fail, we'll have to do more investigating.  Hope that helps...
Comment 156 Mike Nerone 2009-01-05 23:35:07 UTC
Same failure with vmware-server-1.0.8.126538 from the vmware overlay, but I hadn't noticed the following error at the end of /opt/vmware/server/bin/vmware-config.pl:

 * Starting VMware services: [ ok ]
 *   Virtual machine monitor [ !! ]
 *   Virtual ethernet [ ok ]
 *   Bridged networking on /dev/vmnet0 [ ok ]
 *   Host-only networking on /dev/vmnet8 (background) [ ok ]
 *   NAT service on /dev/vmnet8 [ ok ]

The configuration of VMware Server 1.0.8 build-126538 for Linux for this running kernel completed successfully.

Any idea what might be causing the !! failure?
Comment 157 Mike Auty gentoo-dev 2009-01-05 23:37:55 UTC
Well, it looks like it's having trouble with the vmmon module.  You should check the output of "dmesg" to see if there's any hints in there, but since that's the module we patch lots, it's the most likely contender for causing problems.  I've had these modules working with vmware-server-1.0.8 on x86 though, so it's possible to get them going at least...
Comment 158 Mike Nerone 2009-01-05 23:47:43 UTC
I do see the following in dmesg:

vmmon: module license 'Proprietary' taints kernel.
vmmon: Unknown symbol init_mm
Comment 159 Mike Nerone 2009-01-05 23:48:59 UTC
I have to bug out for the day, but let me leave you my emerge --info:

Portage 2.1.6.4 (default/linux/x86/2008.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.27-gentoo-r7 i686)
=================================================================
System uname: Linux-2.6.27-gentoo-r7-i686-Intel-R-_Pentium-R-_4_CPU_3.00GHz-with-glibc2.0
Timestamp of tree: Mon, 05 Jan 2009 22:15:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7-r1, 2.1.6-r1
dev-lang/python:     2.5.2-r7
dev-util/cmake:      2.4.6-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS=" --with-bdeps y"
FEATURES="buildpkg collision-protect distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch userpriv userpriv_fakeroot usersandbox verify-rdepend"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_US"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/nerone /usr/portage/local/layman/sunrise /usr/portage/local/layman/vmware /usr/local/portage"
SYNC="rsync://rsync.nerone.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acl acpi alsa amr asf audiofile avahi bash-completion bluetooth branding browserplugin bsf bzip2 cairo caps cddb cdparanoia cli cracklib crypt cups curl dbus dri dts dvd dvdr dvdread emboss encode evo exif fam fame ffmpeg fftw firefox flac flash ftp gd gdbm gif glut gmp gnutls gpm gstreamer gtk hal iconv idn imap imlib isdnlog ithreads jack java javascript jpeg kde kdeenablefinal kdehiddenvisibility kipi lame libnotify live lzo mad matroska mbrola mcal memlimit midi mikmod mjpeg mmap mmx mmxext mozilla mozsvg mp3 mp4 mpeg mplayer mudflap musicbrainz mysql ncurses network network-cron nls nntp nptl nptlonly nsplugin nvidia offensive ogg openexr opengl pam pcre pdf perl physfs png postgres ppds pppd python qt3 qt3support qt4 quicktime readline reflection reiserfs rtc samba sasl schroedinger sdl session slp sndfile speex spell spl sql sqlite sse sse2 ssl startup-notification subversion svg symlink sysfs taglib theora threads threadsafe tiff tk truetype unicode usb utempter utf8 vcd vim-syntax vorbis webdav win32codecs x264 x86 xattr xcb xcomposite xforms xine xml xorg xosd xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="alias auth_basic authn_alias authn_default authn_file authz_default authz_groupfile authz_host authz_user autoindex dav dav_fs dir env include info log_config mime mime_magic negotiation proxy proxy_http rewrite setenvif status unique_id" APACHE2_MPMS="event" CAMERAS="canon directory ptp2" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US" USERLAND="GNU" VIDEO_CARDS="intel vesa"
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 160 Mike Auty gentoo-dev 2009-01-06 00:10:17 UTC
Yep, that just means you need CONFIG_UNUSED_SYMBOLS=y in your kernel config.  I've now added a check to the ebuild.  Hope that solves it...
Comment 161 Mike Nerone 2009-01-06 16:50:50 UTC
Success! Apologies for having missed the mention of unused symbols.

Thanks much!
Comment 162 Tony 2009-01-07 05:57:27 UTC
app-emulation/vmware-modules 1.0.0.15-r1 fail to build under 2.6.28 kernels

This is the error msg in /var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/temp/build.log

############################## Begin ###########################
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/./include/compat_semaphore.h:5:27: error: asm/semaphore.h: No such file or directory
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.c:171: error: unknown field ‘nopage’ specified in initializer
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.c:172: warning: initialization from incompatible pointer type
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.c:175: error: unknown field ‘nopage’ specified in initializer
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.c:176: warning: initialization from incompatible pointer type
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.c: In function ‘__LinuxDriver_Ioctl’:
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.c:1781: error: too many arguments to function ‘smp_call_function’
make[3]: *** [/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only/linux/driver.o] Error 1
make[2]: *** [_module_/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/work/vmmon-only] Error 2
make[1]: *** [sub-make] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.28-gentoo'
make: *** [vmmon.ko] Error 2
 * 
 * ERROR: app-emulation/vmware-modules-1.0.0.15-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3219:  Called linux-mod_src_compile
 *             environment, line 2444:  Called die
 * The specific snippet of code:
 *               eval "emake HOSTCC="$(tc-getBUILD_CC)"                                                 CROSS_COMPILE=${CHOST}-                         
                        LDFLAGS="$(get_abi_LDFLAGS)"                                            ${BUILD_FIXES}                                          ${BUILD_PARAMS}                                                 ${BUILD_TARGETS} " || die "Unable to emake HOSTCC="$(tc-getBUILD_CC)" CROSS_COMPILE=${CHOST}- LDFLAGS="$(get_abi_LDFLAGS)" ${BUILD_FIXES} ${BUILD_PARAMS} ${BUILD_TARGETS}";
 *  The die message:
 *   Unable to emake HOSTCC=i686-pc-linux-gnu-gcc CROSS_COMPILE=i686-pc-linux-gnu- LDFLAGS=   auto-build VMWARE_VER=VME_S1B1 KERNEL_DIR=/usr/src/linux KBUILD_OUTPUT=/lib/modules/2.6.28-gentoo/build
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-emulation/vmware-modules-1.0.0.15-r1/temp/environment'.
 * 
############################## End ##############################
Comment 163 Mike Auty gentoo-dev 2009-01-07 10:43:03 UTC
Tony, we've already established that vmware-modules-1.0.0.15-r1 fails under the 2.6.28 kernel (see the summary of this now *very* long bug), you should be trying vmware-modules-1.0.0.15-r2 (that's -r2) to see if all the issues have been fixed.
Comment 164 Martin May 2009-01-07 12:24:22 UTC
Created attachment 177669 [details]
build.log

vmware-modules-1.0.0.15-r1 doesn't compile for me too on 2.6.28, but with a different log message ...
Comment 165 Martin May 2009-01-07 13:33:27 UTC
Created attachment 177680 [details]
emerge --info

On my amd64 it compiles on 2.6.28 and runs a winxp client.
app-emulation/vmware-modules-1.0.0.15-r2  0 kB [1]
app-emulation/vmware-server-1.0.8.126538  0 kB [1]
app-emulation/vmware-server-console-1.0.8.126538  0 kB [0=>1]

Thank you!
Comment 166 Tony 2009-01-08 02:59:46 UTC
(In reply to comment #163)
> Tony, we've already established that vmware-modules-1.0.0.15-r1 fails under the
> 2.6.28 kernel (see the summary of this now *very* long bug), you should be
> trying vmware-modules-1.0.0.15-r2 (that's -r2) to see if all the issues have
> been fixed.
> 
I've tried.
But there is no app-emulation/vmware-modules-1.0.0.15-r2 in the portage.

################ Begin Info #################
emerge: there are no ebuilds to satisfy "=app-emulation/vmware-modules-1.0.0.15-r2".
################ End Info #################
Comment 167 Mike Auty gentoo-dev 2009-01-08 09:48:40 UTC
Once again you're absolutely right Tony, it isn't.  As comment 150 clearly states, "It's currently available in the *vmware overlay* as vmware-modules-1.0.0.15-r2.ebuild."  You can find more information about using overlays at http://www.gentoo.org/proj/en/overlays/userguide.xml.

Please, if you don't understand something, do re-read things carefully and only post if you really need to, especially on a bug this long with this many subscribers.
Comment 168 Mike Auty gentoo-dev 2009-01-10 12:56:02 UTC
Ok, vmware-modules-1.0.0.15-r2 just hit the main tree, so hopefully this acursed bug can now be put to death permanently.

If you have any problems with vmware-modules-1.0.0.15-r2, please open NEW bugs for them.  Thanks...
Comment 169 pgb205 2009-02-20 20:17:46 UTC
I'm running latest gentoo kernel 2.6.28-gentoo-r2 but still get eval "emake HOSTCC="$(tc-getBUILD_CC)" when i try to compile app-emulation/vmware-modules-1.0.0.15-r2. I don't have to run the latest version of linux kernel and so am willing to downgrade. What is the latest linux kernel that works with vmware-modules packages above?

thanks
Comment 170 Mike Auty gentoo-dev 2009-02-20 20:21:03 UTC
pgb205, as far as I'm aware, vmware-modules-1.0.0.15-r2 should work with the kernel version you suggested.  However, there's no way to tell what went wrong because the line you quoted was the compilation line from the ebuild script.  It doesn't provide any useful information.  Please include the several lines just above where the red *'d text comes out, particularly any lines that say "error" in them.  Thanks...